glFusion ChangeLog

v1.2.2
------
- Updated Czech language files from Ivan (Mark)
- Fixed hard coded language string (Groups) in admin/user.php (Mark)
- Mail to user (admin user edit screen) did not work properly (Mark)
- German language update from André (Mark)
- FileMgmt - Display max allowed filesize in admin upload screen (Mark / André)
- Updates to better support MySQL 5.5 (Mark)
- Do not show Awaiting Verification in user edit as an option when user does
  not enter their own password (Mark)
- Fixed bug where user's password was not properly checked to determine if
  blank when registering a new user (Mark)

v1.2.1.pl6
----------
- Updated Bad Behavior Plugion to v2.0.43 (Mark)
- Fixed typo in lib-security (Mark H.)
- Fixed issue with token expiration when in admin functions (Mark)
- Fixed permission check for story edit (Mark)
- Calendar: Fixed permission check for anon users adding master cal
  events (Mark)

v1.2.1.pl5
----------
- Fixed performance issue with forum lists when user rating enabled (Mark)
- Fixed bug where validation email requests would fail (Mark)
- Fixed issue deleting comments (Mark)
- FileMgmt: Expand autotags when displaying comments (Mark)

v1.2.1.pl4
----------
- Implemented global autotag recursion checks (Mark)
- Advanced story editor has some 'quirks' in IE (Mark)
- Update Bad Behavior to v2.0.42 (Mark)
   - Google operates a proxy server for “feature phones” (dumb mobile phones;
     perhaps should be called feature limited) with limited Web browsers which
     reformats web pages into a simpler format for viewing on such phones.
     While it is now rarely used, requests from this proxy server, known
     as Google Wireless Transcoder, were being treated as search engine
     requests (and denied for not being a search engine).
     This issue has been fixed.

v1.2.1.pl3
----------
- Update Bad Behavior to v2.0.41 (Mark)

v1.2.1.pl2
----------
- Fixed SQL error when creating FileMgmt content syndication (Mark)
- Updated MSN IPs for Bad Behavior2 Plugin (Mark)
- Bad Behavior provides an option to allow cross-site POST requests; these are
  meant to be blocked by default as most sites do not need to receive form data
  submitted from other sites. However, the option to enable it for those sites
  which do need it had inverted logic, resulting in cross-site requests being
  allowed when the option was set to disallow them, and vice versa. (Mark)
- Fixed missing call to CUSTOM_userEdit() in user profile panel (Mark)
- Fixed an issue with the plugin uploader where it could overwrite existing
  configuration files during plugin updates. (Mark)
- Fixed issue with URL parser retrieving URL parameters when only
  $_SERVER['orig_path_info'] is set. (Mark)
- Removed global <li> style from SiteTailor stylesheet. (Mark)
- Added some safety checks to dvlpupdate.php (Mark)

v1.2.1.pl1
----------
- Security Fix - bbcode implementation suffered from several XSS
  vulnerabilities.  Reported by Saif El-Sherei (Mark)
- Fixed plugin uninstall to not crash if plugin directory is missing (Mark)
- Removed unneeded log message in user create (Mark)

v1.2.1
------
- Calendar: Fixed issue where datepicker does not work with Chrome (Mark)
- Updated Bad Behavior2 Plugin to v2.0.39 (Mark)
- Updated / new German Language files for glFusion and all bundled plugins
  Thanks to André for the translations (Mark)
- Ensure $REMOTE_ADDR is properly set (André)
- FileMgmt: Add max file size to information text on upload screen (André)
- Media Gallery: Fixed bug where user quota would reset to unlimited (Mark)
- Fixed issue with XSS in configuration (Mark)
- Fixed issue where the MooRotator would not auto start in Chrome (Mark)
- Forum: Added permission check to forum notification emails (Mark)
- Media Gallery: Fixed bug when in Global Album Editor, the Display Image Skin
  setting was not being saved. (Eric - Fix by Walter Rowe)
- Calendar: Copying event from master calendar to personal calendar caused
  SQL error (Mark)
- Updated htmLawed to v1.1.9.4 (Mark)
- Media Gallery: Fixed bug where mediagallery.admin members could not access
  admin page.
- Fix width of Directory/File Permissions table in envcheck (Mark H.)
- Implement persistent (non-fading) system messaging (Mark H.)
  See: COM_showMessage(), COM_showMessageText(), COM_showMessageFromParameter()
- All bundled Plugins: Allow custom language string overrides (Mark H.)
- Config setting Allow User Theme and Allow User Language to False
  on default installs (Eric)
- submit.php was not providing new edit=x parameter to plugins (Mark H.)
- Calendar: Add permission check to auto tags (mark)
- FileMgmt: Add permission check to auto tags (mark)
- Staticpages: Add permission check to auto tags (mark)
- Allow forum plugin to find custom CSS in private/plugins/forum/css/custom
- Let default content blocks auto-increment on install (Eric)
- Fix block id conflict between Blog Roll and Forum Menu blocks (Eric)
- MooSlide widget resize bugfix, implement custom css, autoscroll and mouseover
  capability, all code courtesy of Rowan (Eric)
- Implement PLG_templatePath: plugin helper function to find templates (Mark H.)
- Extend ADMIN_simpleList -> ADMIN_arrayList, allows sortable columns (Mark H.)
- Rename ADMIN_sortList function to ADMIN_sortArray (Mark H.)
- Fix filecheck_data - create missing nouveau custom template dirs (Mark H.)
- Plugin Admin - allow sorting of columns in Plugin list (Mark H.)
- Replace/fix sort direction arrows in ADMIN_list and ADMIN_arrayList (Mark H.)

1.2.0.pl5
---------
- Add option for admins to set story author (Lee / Mark)
- Reset login speedlimit check on successful login (Mark)
- Forum: Fix ambiguous use of uid in query (Lee)
- Forum: Ensure all notifications are sent from no_reply address (Mark)
- Fixed published date bug when using Chrome browser (Mark)
- Forum: Now process autotags before processing smilies (Mark)
- Fixed preg_replace compilation failure when non UTF-8 used in search (Mark)
- Updated htmLawed HTML filter module (Mark)
- Allow user / root element overrides for HTML filtering (Mark)
- Add user id column to user list (Mark)
- Static Pages: Add support for custom language files (Lee / Mark)
- Media Gallery: Display full setting was reversed when viewing media
  item (Lee / Mark)
- Media Gallery: Admin user edit did not properly retrieve / set Media Gallery
  user preference settings (Lee / Mark)
- Media Gallery - Batch import could fail if the source album does not have
  views properly set. (Lee / Mark)
- CUSTOM user form was not called if password validation failed when using
  custom registration (Mark)
- FileMgmt: Files with embedded spaces outside of webroot would not d/l (Mark H)
- Admin user edit photo upload missing (Mark)
- Batch Admin interface did not keep settings when paging through results (Mark)
- Calendar: auto tag was broken (Mark)
- Do not include summary when contentlength = 0 in syndication (Mark)
- Fixed issue where you could not delete blocks (Mark)
- Forum: Fixed footer formatting issue (Mark)
- Fixed daily digest issue where it did not honor the emailstorieslength
  configuration setting (Mark)

v1.2.0.pl4
----------
- Add patch level to version checker (Mark)
- Plugin user preferences were not properly saved in admin user editor (Mark)
- Fixed date calculation error (Mark)
- Comment disclaimer displayed when no comments had been entered yet. (Mark)
- htmlspecialchars_decode() is a PHP5 only function. Updated lib-common to
  load the compatible function when running PHP4. (Mark)
- Forum: footer.thtml template did not work with custom/ directory (Mark)
- Setting comment edit time to 0 did not allow unlimited time to edit
  comments - instead it prevented comments from being edited (Mark)
- When story.admin user selects contribute, the redirect was broken
  that took them to the admin story editor (Mark)
- Do not allow default blocks to be deleted (Mark)
- linksrc: was not included in allowed autotag options for the MG media
  Browser (Mark)

v1.2.0.pl3
----------
- Forum: Smiley display did not wrap properly if using wide icons (Mark)
- Demo mode tweaks - remove some advanced features from demo mode
  (i.e.; allow multiple logins from same userid) (Mark)
- Forum: Use noreply email address for notifications (Mark)
- Polls: Comment view did not default to user preferences (Mark)
- Media Gallery: Comment view did not default to user preferences (Mark)
- FileMgmt: Comment view did not default to user preferences (Mark)
- Block Editor did not allow you to un-check allow auto tags (Mark)
- Media Gallery: SWFUpload did not enforce user quotas (Mark)
- Database backup would fail if password contained certain special
  characters (Mark)
- Media Gallery: SWFUpload referenced SWFUpload Button in wrong directory if
  glFusion is installed in a sub-directory. (Mark).
- Database backup would always fail with 0 byte file message on Windows
  hosts. (Mark)
- Delete story from admin list did not work (result of a fix done in pl2) (Mark)
- Plugin API bug - PLG_callFunctionForAllPlugins() did not cycle through
  all the plugins - returned after first hit. (Mark)

v1.2.0.pl2
----------
- When using embedded images in a story, if you select an image to delete and
  save, the story is deleted. (Mark)
- Save button text disappears if submitting a story and it contains missing
  fields. (Mark)
- Always use the title attribute in What's New (Mark)
- Fixed issue with Gallery Remote2 not properly logging into the site (Mark)

v1.2.0.pl1
----------
- COM_checkWords() was trimming spaces when it should not. (Mark)
- Links: Invalid multibyte string would cause crash. (Mark)
- showblock: auto tag did not honor block permissions. (Mark)
- COM_onFrontPage() and COM_whatsNew() had a global variable conflict with
  $newstories (Mark)
- fs_multilanguage configuration field was misspelled in new install (Mark)

v1.2.0
------
- Add rel="nofolllow" to bbcode url (Mark)
- Updated / new Czech translations compliments of Ivan Simunek (Mark)
- General (x)HTML compliance fixes (Eric)
- Added ie7 horizontal scrollbar fix (Eric)
- Added help text for Registration Type (Eric)
- Moved comments links to same line in story footer (Eric)
- Re-freshed CAPTCHA layouts (Eric and Mark H.)
- CAPTCHA - Exclude 0,O,1,I,L from dynamic CAPTCHA generation (Mark)
- Add check to ensure user photo physically exists, if not return default
  user photo (Mark)
- Polls Admin - code scrub and UI improvements, some template tweaks (Mark H.)
- Added 2 new configuration options for comments: (Mark)
    - comment_postmode - set default postmode for comments (Text/HTML)
    - comment_editor   - select between text box or WYSIWYG
- Implemented profile photos and custom author and group css in comments (Mark & Eric)
- Changed default comment mode to Nested (Eric)
- Fixed orphaned p tag in story footer preview when editing a story (Eric)
- CAPTCHA: Link and Calendar submissions did not work with reCAPTCHA (Mark)
- Links Admin: Admin interface improvements and partial scrub (Mark H.)
- Moderation: Admin interface improvements and extensive rewrite (Mark H.)
    - New feature: Only display submission lists for item types in queue
    - New feature: Display user who submitted item
- Story Admin: Admin interface improvements and code scrub (Mark H.)
- Media Gallery: Fixed issue where album owners would see the Delete option
  for media comments, but they could not actually delete the comment (Mark)
- Convert session cookie to use MD5 token instead of random number (Mark)
- Use mt_rand() instead of rand() and seed once per session (Mark)
- Ensure rating value is properly formatted and escaped prior to inserting
  into database (Mark)
- Forum: Fixed sorting on New Posts (Mark)
- New option for block location - all except home page (Mark)
- Forum: Use admin lists for site member report (Mark)
- Updated CAPTCHA and reCAPTCHA layouts (Eric)
- Layout on Register screen now matches the layout on Login screen (Eric)
- Allow users to select their own passwords and implement verification email
  (Mark)
- Ratings were not moved to new story when story id changed (Mark)
- Media Gallery: Fixed issue where quota was not always set properly when
  member album enrollment was enabled (Mark)
- Fixed default username and password being translated accidentally (Eric)
- Improved bbcode cheat sheet based on nouveau theme (Eric)
- Updated public_html/docs/config.html with new search info (Eric)
- Added ability to create remote users (when enabled) (Mark)
- FileMgmt: Add new configuration option 'Silent Edit Default' (Mark)
- Move services dropdown after password on login forms (Mark)
- Staticpage / Media Gallery: Option to specify centerblock for all topics
  except the homepage (Mark)
- Implement skip token re-init on admin auth (Mark)
- Calendar: Enforce login required on event view (event.php) (Mark)
- Forum: Translate <>& in posts when created with WYSIWYG editor (Mark)
- Topic block - do not mark inactive if $topic is blank (Mark)
- New permission - stats.view - controls access to Stats page (Mark)
- Media Gallery: Added linksrc: parameter to media auto tag to specify
  which image (tn/disp/orig) should be used in the direct link (Mark)
- Calendar Plugin: Admin interface improvements & code scrub (Mark H.)
    - New feature: JS date picker for start/end dates
    - New feature: Ability to enable/disable events
    - New feature: Auto-set event end month/day/year/hour/minute to event start
    - New feature: Client-side validation for required fields
    - New feature: Suppress input fields for hr/min/ampm if all day event
- Staticpage Admin: Admin interface improvements & code scrub (Mark H.)
    - New feature: Ability to enable/disable staticpages
- Added wrapper static page widget (Eric)
- Plugin Admin: Code scrub/UI improvements (Mark H.)
- Topic Admin: New list-based manager, code scrub/UI improvements (Mark H.)
    - New feature: Client-side validation for required fields (Mark)
- Media Gallery: Updated FCKeditor Media Browser plugin to support all auto tag
  options (Mark)
- Media Gallery: Fixed error in raw thumbnail preview where it did not work
  with images other than jpg (Mark)
- Media Gallery: Increased the width of the album jumpbox to accommodate
  more nested albums (Mark)
- General E_ALL fixes (Mark)
- Updated FCKeditor to v2.6.6 (Mark)
- Clean up search results a bit (improve formatting) (Mark)
- Implemented sort story by option in topics (Mark)
- Implemented COM_truncateHTML() in feeds - ported from Geeklog (Mark)
- Moved Multiple Language configuration options to their own fieldset
  in hopes this will remove some of the confusion on these fields (Mark)
- Forum: Fixed issue where users would continue to receive new post
  notification if their permission to view forum was removed (Mark)
- Forum: If forum has RSS link, display the RSS subscribe button (Mark)
- Added ability for plugins to specify admin group flag and default flag
  during auto install. (Mark)
- Updated all bundled plugins to properly set admin group flag. (Mark)
- Removed $_SYSTEM['skip_ip_check'] now use online configuration :
   Session IP Validation - select how much of the IP to validate or disable
   completely (Mark)
- Removed configuration option: default search order, it simply doesn't make
  sense to allow alternative sort methods with the weighting that goes on
  with the results. (Mark)
- Administrative function access now requires the user to re-authenticate (Mark)
- New database function - DB_escapeString(), this should be used instead of
  addslashes() to escape data prior to using in a SQL query (Mark)
- Validate block name in blocks editor to ensure no space or other special
  characters (Mark)
- If errors during block edit, do not reset form, save data from submission
  so users do not loose data if an error (Mark)
- Do not use username as the name of the user's profile photo, use uid
  instead, this solves issues with various file systems (Mark)
- All Admin Utilities: User interface improvements & code scrub (Mark H.)
    - Improved/added language strings
    - Reformatted columns, new icons
    - Allow alignment of columns (left/center/right)
    - Extend/reformat 'check all' action col/row (eg. see User Batch Admin)
    - New 'Clear Search' button when search is used
    - Resubmit when select/checkbox/button is clicked
- Block Admin: User interface improvements (Mark H.)
    - Eliminate search/limit/paging options (they didn't work right anyway)
    - New feature: Delete (w/popup confirmation) direction from list
    - Disabled blocks displayed as 'greyed-out'
- User Admin: User interface improvement and code scrub (Mark H.)
    - Closer integration with Group Admin
    - New feature: Group filter/select dropdown (used by Group user list)
    - New feature: Send eMail to User via Mail Utility or local client
    - Batch Admin: User interface improvement, new eMail links, new action row
    - Pref Editor: Reformatted column
- Group Admin: User interface improvement and code scrub (Mark H.)
    - Closer integration with User Admin
    - New feature: Send eMail to Group via Mail Utility or local client
- Mail Utility: User interface improvements (Mark H.)
    - Template tweaked to make better use of vert/horiz space
    - New feature: Can be invoked from any (authenticated) site source
    - New feature: Can be invoked from User or Group admin
    - New feature: User privacy option override conditionally displayed
- Content Syndication: User interface improvement and code scrub (Mark H.)
    - New feature: Delete (w/popup confirmation) directly from list
    - Disabled items displayed as 'greyed-out'
- Moderation (Submissions): User interface improvements (Mark H.)
    - Implementation of new 'check all' action row
- Added missing article_comment_close_enabled configuration setting (Mark)
- Forum: Properly clean up attached file to posts that are canceled (Mark)
- FileMgmt: Fixed SQL error on file submissions when filemgmt Admin group
  has been renamed (Mark)
- Forum: Several improvements to the phpBB3 import utility, thanks to wootcat
  for providing a recent phpBB3 database backup for testing. (Mark)
    - ability to import bbcode signatures
    - ability to purge existing glFusion users prior to import
- Media Gallery: Implemented ribbon attribute for audio auto tag, this allows
  the MP3 ribbon player to be embedded via auto tag. (Mark)
- Media Gallery: Updated the MP3 ribbon player to latest version (Mark)
- FileMgmt: Creating new categories did not properly set the upload
  permission (Mark)
- Fixed issue when enabling a plugin that no longer exists in the
  directory tree (Mark)
- Site Tailor: Added new menu element type: topic (Mark)
- Implemented the Portable PHP password hashing framework (Mark)
- Enhanced the advanced search screen (Mark)
- Calendar: If auto tag is not given event id, return original conten (Mark)
- Forum: Fixed issue where deleting a post did not update last post
  info for the topic properly (Mark)
- Reworked username standards " < > $ % & * are not allowed in username (Mark)
- FileMgmt: Do not allow users access to the upload form if they do not
  have permission to upload to any categories. (Mark)
- Polls: Fixed coding error where permissions were not properly checked (Mark)
- What's New block now uses <ul> class list-new-articles for stories (Mark)
- Modified LDAP class so filter variable is now a configuration option (Mark)
- Media Gallery: Enable full screen playback with FlowPlayer by default (Mark)
- Modified My Account block to use blockheader-list templates. Removed
  the hard coded <ul> / </ul> in code.  (Mark)
- Added new block option: login_block, admin can now specify custom block
  template for login block (see theme's functions.php) (Mark)
- Calendar: Add configuration option to select which blocks display (Mark)
- FileMgmt: Add configuration option to select which blocks display (Mark)
- Links: Add configuration option to select which blocks display (Mark)
- Polls: Add configuration option to select which blocks display (Mark)
- New BBCode editor API (Mark)
- New Environment Check option in Command & Control Screen. Removed PHP info
  link from MG admin screen (Mark)
- New Admin Global User Preference Editor - allows admin to change some
  preferences for all users (Mark)
- Admin user editor now supports editing all user attributes (Mark)
- Feature to allow groups be applied for all new users (Mark)
- Media Gallery: Updated Polish translations (Mark)
- Forum: Implemented user option to enable / disable WYSIWYG editor (Mark)
- Yet another fix to the ATOM webservices publishing code (Mark)
- Improved error detection on file uploads - ensure proper errors are
  reported (Mark)
- Fixed namespace conflicts with DokuWiki 2.0 plugin (Mark)
- Complete implementation of PLG_getItemInfo for each bundled plugin. (Mark)
- Forum: Implemented merge topic feature (Mark)
- Forum: Rewrote the moderation system to be more procedural. This will
  help with future enhancements to moderation features (Mark)
- Forum: Site Members report did not honor Forum Activity checkbox (Mark)
- Forum: Implemented per topic options (Disable BBCode, Disable Smilies,
  Disable URL Parse) (Mark)
   - 3 new Forum configuration options to set the default value for each
     of the new features
- Forum: Implemented automatic URL parsing for topics (Mark)
- Forum: Implemented user preference to specify view topic sort order (Mark)
- FileMgmt: Implemented configuration option to turn on / off ratings (Mark)
- Implemented reset rating for stories (Mark)
- Implemented site upgrade check/reminder (Mark H.)
- Implemented block-specific styling, eg. block div id=block_name (Mark H.)

v1.1.8.pl5
----------
- Media Gallery: Properly encode $ to work in caption with lightbox (Mark)
- Links: Accessing an invalid category will cause infinite loop if user has
  link admin permissions (Mark)
- Story moderation can cause the group permission to be set to All Users under
  certain circumstances (Mark)

v1.1.8.pl4
----------
- FileMgmt: Do now allow users access to the upload form if they do not
  have permission to upload to any categories (Mark)
- Media Gallery: SWFUpload does not work if Media Gallery directory is
  changed (Mark)
- SpamX: Fixed preg compilation error in SpamX plugin (Mark)
- Media Gallery: Fixed keywords so they now wrap properly (Mark)

v1.1.8.pl3
----------
- FileMgmt: file_download auto tag did not work properly when URL rewrite
  is enabled in the site configuration (Mark)
- Site Tailor: Moved hard-coded language string to language files. (Eric)
- Site Tailor: Fixed language string mismatch for block menu config. (Eric)
- Forum: Fixed bug where referer URL was not properly set after previewing
  a forum post. (Mark)
- Forum: The 'online version' link in full text nofications did not work
  if more than 1 page of forum posts (Mark)
- Fixed bug where anonymous user name did not appear with comments (Mark)
- Polls: Fixed bug where poll topic always displayed, when it should only
  display when questions > 1 (Mark)
- FileMgmt: Fixed SQL error when add remote files (Mark)
- Fixed bug where enabling / disabling blocks, plugins, ping services could
  disable other items when viewing subset list (Mark)
- Forum: Fixed issue where duplicate watch records could happen. (Mark)
- Media Gallery: The album auto tag was missing a space between the alt and
  style tags (Mark)

v1.1.8.pl2
----------
- Media Gallery: Fixed issue where PLG_itemSaved() was not called properly
  when doing mass media edit (Mark)
- Forum Plugin: Using the custom/ directory for templates in a sub-directory
  did not work properly (Mark)
- Forum Plugin: Process topic records in date order...
- Forum Plugin: Do not reset read counters when deleting topic (Mark)
- Forum Plugin: Fixed bug when moving / spliting topics - last reply
  dates / reply counts were not always properly maintained (Mark)
- Forum Plugin: Fixed error where creating a new forum on sites using
  MySQL 5 strict settings would crash with SQL error (Mark)
- Forum Plugin: Members of the Root group could not move topics to forums
  unless they were also listed as a moderator (Mark)
- Forum Plugin: The user's location display was broken (displays in the user
  block to the right) (Mark)
- Forum Plugin: Expose breadcrumb template variables in view topic (Mark)
        {forum_home} - Forum Index text
        {cat_name} - Current category name
        {cat_id} - Current category ID
        {forum_id} - Current forum ID
        {forum_name} - Current forum name
- Forum Plugin: Fixed permalink on topics (Mark)
- Forum Plugin: Fixed issue where smileys in quoted area would 'pile' up
  on the right - **NOTE** Required changed to style.css (Mark)
- Forum Plugin: Fixed smiley insert so it does not scroll back to the top
  on large posts (Mark)
- Fixed issue printable Story Format does not display comments (Olaf)
- Fixed bug where db version was not properly incremented (Mark)
- Fixed bug where censor did not actually honor 'exact match' settings (Mark)
- Display GVERSION and PATCHLEVEL in footer (patch by Mark H.) (Eric)

v1.1.8.pl1
----------
- Media Gallery: Flash slideshow incorrectly used lower resolution
  images (Mark)
- Forum Plugin: Fixed bug where reply count was not properly decremented
  when a post was deleted. (mark)
- Forum Plugin: Fixed paging to show last page number on index view (Mark)

v1.1.8
------
- Made header site name easier to style. (Eric)
- Added Full Name to user registration (Lee)
- Fixed a potential XSS in search (Mark)
- Added Character Set to the htmlentities call in LogView (Mark)
- Fixed problem where locales using comma instead of decimal would
  cause SQL error in rating (Mark)
- Fixed issue when magic_quotes_gpc is enabled it would remove info
  between quotes in HTML edit mode. (Mark)
- Fixed issue where magic_quotes and PHP < 5.2 would cause images to
  be stripped from articles (Mark)
- Ensure story / comment titles properly wrap in What's New block (Mark)
- Story clone did not clone all attributes properly (Mark)
- Forum plugin: Consistent use of min_min_username_length setting (Mark)
- Removed all file_exists() checks on template files (Lee)
- Tweaks to rating library to ensure only valid votes are processed (Mark)
- Editing a story would reset ratings to 0 (Mark)
- Fixed error that could cause glFusion to crash when viewing FileMgmt
  comments (Mark)
- Fixed error in lib-comment.php (Mark)
- Removed an annoying warning message from upload class (Mark)
- Ensure What's New comment / trackback listings properly wrap (Mark)
- Fixed issue where [link] auto tag did not work in forum posts (Mark)
- Username was cut-off at 16 characters (Mark)
- add padding to loginform Submit button. (Eric)

Bad Behavior2 Plugin
--------------------
- Updated to release 3.0.26

FileMgmt Plugin
---------------
- FileMgmt: Fixed issue where old FM rating code could corrupt data. (Mark)
- Fixed error that could cause glFusion to crash when viewing FileMgmt
  comments (Mark)

Forum Plugin
------------
- Forum plugin: Consistent use of min_min_username_length setting (Mark)
- Fixed issue where [link] auto tag did not work in forum posts (Mark)

Media Gallery Plugin
--------------------
- Media Gallery: Fixed issue where images did not properly embed in
  Thunderbird when sending postcards. (Mark)
- Media Gallery: Fixed issue when an empty album could cause crash  when
  building album RSS feed. (Mark)
- Media Gallery: Fixed date issues in Manage Media screen where year was
  limited to less than 2010. (Mark)
- Media Gallery: Fixed issue where album_rpc could return invalid album_id
  when the album_id is actually valid. (Mark)
- Media Gallery: Fixed SWFupload so the browse button has proper transparency
  (Mark)
- Media Gallery: Add space between file types to allow wrapping long
  lists (Mark)
- Media Gallery: The Remote Media tab is missing from the Media Gallery upload
  options (Mark)

v1.1.7
------
- autotranslations block now uses an image sprite (Eric)
- Tweak SWFUploader to now allow display of thumbnails and allow adding
  title and description (Mark)
- Ensure multiple header() calls are not made when site error occurs (Mark)
- Media Gallery: Remove jUpload and replace with Flash-based uploader (Mark H.)
- Media Gallery: Batch caption edit did not call PLG_itemSaved()
- Added cancel confirmation to forum post cancel.
- Implemented timerconfigclass.class.php (ported from Geeklog v1.6.1)
- Implemented polls auto tags (ported from Geeklog v1.6.1)
- Implemented 4 new template vars for articles to allow plugins additional
  integration opportunities: (Mark)
    - plugin_icon_vars
    - plugin_meta_vars
    - plugin_body_vars
    - plugin_footer_vars
- Add topic id to topic lists to help multi-linqual sites (Mark)
- Add title attribute to What's New (Mark)
    - Stories
    - Comments - already supported
    - FileMgmt
    - Links - already supported
    - Media Gallery
- FileMgmt: Added file_download autotag (Mark H.)
- Moved rating code out of Media Gallery into core (Mark)
  - implemented rating for articles
  - updated FileMgmt / Media Gallery to use new rating system
- Media Gallery - Updated SWFObject to v2.2 (Mark)
- Fixed bug in PLG_getConfigElementHelp() where it did not pass the proper
  arguments (Mark)
- CAPTCHA - Added reCAPTCHA support (Mark)
- Fourm plugin - Improved handling of the cancel request (Mark)
- Forum plugin - Add cancel button to create topic (Mark)
- Forum plugin - Fixed paging issue when going to a specific topic (Mark)
- Media Gallery: Added PLG_setTemplateVars() call to the album view (Mark)
- Added ICS (calendar export) to syndication library (Mark)
- Added autotag logic to template library (Mark)
- Upgrade Geshi to v1.0.8.4 (Mark)
- BBcode handler - fixed issue where some posts would show as blank (Mark)
- Upgrade FCKeditor to 2.6.5 (Mark)
- CAPTCHA: Force static image open to use binary mode (Mark)
- CAPTCHA: Updated to 3.2.4 - exposes additional CAPTCHA functions to
  core/plugins (Mark H.)
- Media Gallery: Updated MP3 players to latest releases
- Media Gallery: Fixed MP3 jukebox to auto play full playlist
- Added necessary hooks to allow plugins to fully tap into the user profile
  and registration system - provides direct support for Lee Garner's
  Custom Profile plugin.
- Consistent use of CUSTOM_user*() and PLG_user*() functions
- Media Gallery: Fixed error when user tries to access an album they do not
  have permission to view.
- Forum Plugin: Fixed issue where slashes were removed from mootip pop-up text
- Forum Plugin: Fixed error in phpbb3_import
- Forum Plugin: Fixed error when creating new user when MySQL in strict mode
- Fixed URL rewrite to support IIS 7 FastCGI PHP mode.
- Fixed error when user does not have edit permissions to story.
- Fixed special character handling in story editor
- Fixed backslash removal in story editor
- Upgrade Bad Behavior2 to v2.0.32

v1.1.6.pl4
----------
- Documentation URL not set properly if glFusion installed in a sub-directory
- Search results for comments did not honor URL_rewrite setting
- Setting Admin attribute in group editor did not work.
- Static Pages did not support 'all' as location of centerblock
- Plugin installer would return wrong error message when no file
  was actually uploaded.
- Updated default links entry to point to glFusion Wiki

v1.1.6.pl3
----------
- Static Pages plugin would error with a SQL error when searching if when
  multi-language support is enabled.
- FCKeditor translates latin characters in HTML entities
- Search results do not always display UTF characters properly

v1.1.6.pl2
----------
- Static Pages plugin did not call PLG_itemSaved() and PLG_itemDeleted()
  with the proper parameters.

v1.1.6.pl1
----------
- Links Plugin - when saving a category edit, a SQL error is generated.

v1.1.6
------
- Added min-height property to #gl_wrapper in style.css (Eric)
- Added accordion style toggles to configuration screens for "progressive disclosure" (Eric)
- New showblock auto tag
- Added CUSTOM_css() hook
- Spruced up the search results - for comments show type of comment
  (i.e.; Story > Comment or FileMgmt > Comment)
- Search using date range did not always work properly across all plugins
- Ensure topic selection is presistent when viewing admin story list
- Allow plugin comments to be included in search results
- Tweaks to contact user / author templates; consistent widths and display
- Allow custom/functions.php in theme directory
- Ensure enabling / removing configuration options clears the config
  cache file
- Moved documentation into language directories
- Added PLG_getConfigElementHelp API call
- Full support for PLG_itemSaved() and PLG_itemDeleted() APIs
- Add author to RSS 2.0 syndication feeds for articles
- Do not error when trying to upgrade a disabled bundled plugin
- Security enhancements to the installation scripts
- Better support for legacy plugins
- Ensure template class if available when logging errors
- Ensure character encoding is properly passed to all htmlentities calls
- Add custom_registration field to allowed fields in fusionrescue.php
- Replaced ereg functions for improved PHP 5.3.0 support
- Accessibility updates
- Updated German Language files
- Added the ability to pass additional parsers and code handlers to
  lib-bbcode.

Bad Behavior2 Plugin
--------------------
- Updated to v2.0.29
    - Users authenticating to a Bad Behavior-protected site using a
      third party OpenID were blocked with a message stating that:
      “Data may not be posted from offsite forms.”
    - A few specialized web crawlers use an unusual form of the Range:
      HTTP header in their requests, requesting a range starting with 0.
      This behavior, while technically permitted by the HTTP specification,
      is most often seen with malicious crawlers; web browsers and major
      search engines do not use it. Bad Behavior will now block these
      requests only when strict mode is enabled.

Calendar Plugin
---------------
- Maintain the owner of events placed in the submission queue

FileMgmt Plugin
---------------
- FileMgmt did not honor the comment setting for each file and always
  displayed the comment bar.
- Do not display the upload form for anonymous users if upload public
  set to false.

Forum Plugin
------------
- Finally resolved the issue with the Active Forum icon would not always
  display when there were new posts in a forum.  Thanks to LeeG for providing
  me enough details to resolve this bug.
- Fixed issue where the index page would incorrectly display Today
  as the last post date when in fact that wasn't true.
- Fixed invalid index on rating_assoc table (bumped version to 3.1.5)
- Fix to allow Smiley plugin to work with WYSIWYG editor
- Ensure the profile edit functions return the proper value
- Filter memberslist to ensure only registered users are shown

Links Plugin
------------
- If login is required and user is not logged in, display a message that
  login is required instead of simply redirecting to the index page.
- Improved error messages displayed when there is a problem submitting
  a link.
- Loosened up the URL checking routines

Media Gallery Plugin
--------------------
- Increased z-index of lightbox to compensate for z-index fix with
  Site Tailor menu auto tags
- RSS feeds were not being referenced in the correct directory
- When using the destination block on auto tags, the auto tag counter
  was not properly initialized.
- Expand auto tags in title when used in Random Image block

Site Tailor Plugin
------------------
- Fixed issue where quotes were not properly filtered when magic_quotes_gpc
  is enabled in PHP.
- New element type - Label - allows you to have a non-link label
  as a menu element
- Made field order consistent between create element & edit element
- Properly delete menu config entries when deleting a menu (fix provided
  by Mark Howard)
- Fixed z-index issue when multiple menus are on the same page (fix
  provided by Mark Howard)
- Fixed a bug with the vmenu auto tag where it did not properly trim
  whitespaces from the menu name, thus it didn't actually work.
- Menu builder did not always honor the URL rewrite setting when building
  links for static pages

Static Pages Plugin
-------------------
- 'Last updated' date does not use same format as other dates

Language File Updates
---------------------
German Translation updates to:
 - Bad Behavior
 - Media Gallery
 - Site Tailor
 - Links
 - Captcha
 - FileMmgt
 - Calendar
 - Forum
 - Spamx
 - Polls


v1.1.5.pl3
----------
- Fixed issue when daily digest is enabled and user changes their password,
  all topics are marked as no-access
- Ensure root user is properly set when deleting a user

Forum Plugin
------------
- Fixed issue where moderators were unable to edit forum posts.
- Updated the topic-left.thtml with community moderation variables.

v1.1.5.pl2
----------
- Missing install template for importing CMS paths from Geeklog (Mark)

SiteTailor Plugin
-----------------
- When using the [hmenu] auto tag, cascading menus did not render
  properly (Mark)

v1.1.5.pl1
----------
- Fixed a crash in html2text when [b]$ combinations existed in the forum post
  or the story. (Mark).
- Upgrading to v1.1.5 did not always created the search_result_format field
  in the database (Mark).

Forum Plugin
------------
- Fixed story migration to set postmode to 'html' instead of 'HTML' which
  caused problems when using the WYSIWYG editor. (Mark)

v1.1.5
------
- Fixed issue where the advanced editor did not pickup the style sheet
  if use_direct_css_js was set to true in siteconfig.php (Mark)
- Fix 1px right margin gap in rightblocks in webkit only browsers (Eric)
- Moved maintenance_mode to the online configuration (Mark)
- Added default sitedown.html page (Eric)
- Fixed typo in install script example path and clarified help text (Eric)
- Comments did not properly retain the post mode setting (Mark)
- Fixed issue with URL rewrite that appears on some hosting services where
  the parameter array is not properly recognized (Mark)
- Reworked daily digest code to support both HTML and text messages.  It is
  now template driven (Mark)
- Rename signature (in user profile) to Tag Line (Mark)
- Email did not honor the priority flag (Mark)
- Ability to use remote IP instead of referring URL for security tokens (Mark)
- Fixed censor mode select (Mark)
- Add option for user to select search result format (Mark)
- Add block name to the admin list of blocks (Mark)
- Updated htmLawed to v1.1.8.1 (Mark)
- Implemented new profile APIs (Mark)
- New configuration option to hide the 'Content' tab in the Account
  Settings (Mark)
- Fixed incorrect field type for SMTP host (Mark)
- Updated FCKeditor to v2.6.4.1 (Mark)
- Search dates were not properly validated prior to use (Mark)
- Fixed several E_ALL errors (Mark)
- Multi-page comment support was broken for plugins (Mark)
- Support usernames upto 32 characters in length (Mark)
- Installation - Now support migrating Geeklog v1.4.1+ sites,
  including 1.6.0 (Mark)
- Improved SEO support throughout the system (Mark)
- Core groups can now be edited. (Mark)
- Plugin auto installer did not display correct installed version
  number (Mark)
- Display default glFusion topic icon if no icon is specified (Mark)
- Allow user edit for remote users (Mark)

Bad Behaviour2 Plugin
---------------------
- Updated code base to v2.0.28 (Mark)

Calendar Plugin
---------------
- Improved data validation to ensure values are properly set before
  attempting to use them. (Mark)
- Fixed potential XSS issue when invalid data is presented during
  add / edit event (Mark)
- Fixed issue where calendar submissions were not placed on the
  proper calendar (Mark)

FileMgmt Plugin
---------------
- Improved page titles (Mark)
- Implemented multi-page comment support (Mark)

Forum Plugin v3.1.4
-------------------
- Added Permlink feature to icon_minipost.gif in forum posts (Eric)
- Implemented WYSIWYG editor (Mark)
- Fixed bug where deleting a category did not delete all the forum posts
  associated with the forums in that category (Mark)
- Moved BBcode signature to the About You profile panel (Mark)
- Streamlined the BBcode editor bar (Mark)
- Implemented Eric Kingsley's forum notification mod - option to include full
  post in notification email (Mark)
- Implemented a hook for Eric Kingsley's Medals plugin (Mark)
- Query optimization on topic list page - reduced server load and
  overall performance improvement (Mark)
- Implemented BBcode signature support (Mark)
- Moved user preferences to user profile (Mark)
- Implemented Community Moderation System (Mark)
- Added forum.html feature (auto assigned to Forum Admin group) - allows
  owners to use HTML in forum posts. (Mark)
- Added phpBB3 migration utility (Mark)
- Improved page titles (Mark)

Links Plugin
------------
- Fixed a potential XSS issue when invalid data is entered during link
  add / edit (Mark)
- Fixed issue where children categories would become orphaned if the
  parent category changed category id (Mark)

Media Gallery
-------------
- Implemented Jon Deliz's modifications to allow remote JPG/GIF images (Mark)
- Implemented the PLG_itemSaved() API (Mark)
- Fixed issue where the default album theme was not being used on new
  albums (Mark)
- Fixed issue where the parent album's group ownership was not always
  properly inherited by new child albums (Mark)
- Added {search_album} template variable to the search output, allowing
  the album an item resides to be included in the search results display (Mark)
- Renamed the 'Graphics Package' tab in the MG admin screen to
  'Host Environment' to better reflect the real meaning of the tab (Mark)
- Added new command line interface for batch imports into Media Gallery (Mark)
- Added new option to allow media owner to edit media item (Mark)
- Added new feature to allow mediagallery.admin to edit media owner (Mark)
- Moved user preferences to user profile (Mark)
- Fixed comment handling - multi-page comments did not work and
  user could not select comment order. (Mark)

Polls
-----
- Fixed comment handling - multi-page comments did not work and
  user could not select comment order. (Mark)

SiteTailor
----------
- Fixed issue where hmenu auto tag assumed horizontal-cascading
  menu type (Mark)

StaticPages
----------
- Implemented PLG_itemSaved() API (Mark)
- Fixed comment handling - allow multi-page comments (Mark)

Translations
------------
- Updated German translations from Tony Kluever

v1.1.4.pl4
----------
- Fixed bug where you could not use the image insert in the advanced
  editor in the mail user form (Mark)
- Fixed another XML issue with the web services routines (Mark)
- Added width:100% in submitstory_advanced.thtml template to ensure the
  WYSIWYG editor uses the full width of the page (Mark)
- Removed the maxlength for the admin password prompt (Mark)
- Ensure extra whitespace is properly removed in search strings (Mark)
- Leap year fix in calendar.class.php (Mark)
- Uploads fails to upload files when 1 file in the bunch errors (Mark)
- Webservices did not properly escape all HTML entities (Mark)

Calendar Plugin
---------------
- Improved searching of personal calendars (Mark)

FileMgmt Plugin
---------------
- Apply file permissions for admin uploads too (Mark)

Forum Plugin
------------
- Added support for new PM plugin (Mark)

Links Plugin
------------
- Added support for auto tags in the link descriptions (Mark)
- Improved SQL security (Mark)

Media Gallery Plugin
--------------------
- Fixed issue where the media item date/time did not use local time when
  editing (Mark)
- Fix issue processing large FLV files (Mark)
- Modify album create to use the parent's group if no user specified
  group available (Mark)
-

Polls Plugin
------------
- Fixed division by zero errors (Mark)
- Special characters are not preserved in the remarks field (Mark)

v1.1.4.pl3
----------
- Fix install issue on servers with \\path\to\glfusion directory
  notation (Mark)
- Trim spaces from username and email when creating a new user (Mark)
- When custom registration is enabled, the user cannot select a login link
  to display the login screen (Mark)
- Added cache_templates field to fusionrescue.php (Mark)
- Added [story_introtext:##storyid##] Auto tag (Mark)
- Adding groups to user in user edit could fail under certain conditions (Mark)
- New PLG_getwhatsnewcomment() API to allow plugins to list new comments
  in the What's New block (Mark)
- Installation - ensure siteconfig.php was successfully created (Mark)

FileMgmt Plugin
---------------
- Fixed issue where new files did not always show up in the What's New
  list (Mark)

Forum Plugin
------------
- Clear the centerblock cache after importing story (Mark)

Media Gallery
-------------
- Media Gallery does not always honor 'parent' album permissions when going
  directly to a sub-album. (Mark)
- Coppermine import now pulls the user who uploaded the image from the
  Coppermine database and imports into Media Gallery (Mark)

StaticPages
-----------
- Fixed issues where comments were not properly deleted, did not change
  when the static page id changed, and did not show up in the what's new
  block. (Mark)

Polls
-----
- Fixed issues where comments were not properly deleted, did not change
  when the polls id changed, and did not show up in the what's new
  block. (Mark)

v1.1.4.pl2
----------
- Small change to config.class.php to allow for easier multi-site
  implementations (Mark)
- Fix to allow direct calling of style/js cache files to help reduce
  server load on sites that must reload the PHP processor each time (Mark)
- Added path_rdf to fusionrecue.php set of fields to edit (Mark)

Media Gallery
-------------
- Fixed issue where the image rotate option was not available in the media
  edit screen (Mark)

v1.1.4.pl1
------
- Fixed permission issue where story.admins and topic.admins were not given
  the proper permissions on stories and topics. (Mark)
- Fixed issue trying to retrieve user photo when anonymous user (Mark)

Media Gallery
-------------
- Fixed permission issue where non-members could view the full image using
  the popup.php script. (Mark)
- Added ability for random image block to go directly to an image in the
  album view. (Mark)
- Removed check for rss/ directory after configuration save (Mark)

v1.1.4
------
- Remove spaces from block arrays to ensure no trailing spaces are converted
  to commas (Fix provided by James) (Mark)
- Allow anonymous users to email admin using contact form regarless of login
  requirement (Mark)
- User profile page did not properly honor showonline status and
  accept email from user status (Mark)
- Integrated last 10 logged in users into stats
  Integrated User Activity (phpblock_lastlogin) block (Mark)
- Trim trailing spaces from username during login authentication (Mark)
- Only allow non-Root mail.admin users to email users in groups the mail.admin
  user belongs to (Mark)
- Search did not display proper results when search string contained % (Mark)
- Added ability to enable / disable plugins in fusionrescue.php (Mark)
- Added permission check for MG tmp directory during install / upgrade (Mark)
- Added CUSTOM_js() hook to allow addition of other JS files (Mark)
- 0000441: Advanced path settings in the installation screen are not updated
  if base path changes (Mark)
- Group editor did not properly save additional groups or features (Mark)
- Set height of logview window to facilitate easier horizontal scrolling (Eric)
- Moved css and js cache files to layout_cache/ directory (Mark)
- Added $_SYSTEM['skip_ip_check'] to disable the long term cookie IP check
  (Mark)
- Handle disabled set_time_limit() function better in plugin upload routines
  (Mark)
- Fine tuned SQL calls to help prevent injection / other issues (Mark)
- Force IE8 to use IE7 compatibility mode to resolve text entry issues with
  the forum plugin (Mark)
- Properly filter the topics array prior to using in SQL in usersettings.php
  (Mark)
- Add CRLF between each JavaScript file (Mark)
- Language overrides - the ability to override language file entries using
  a custom language file (Mark)
- Additional security tweaks (Mark)
- 0000422 Use of adveditor in block editor does not permit use of image insert
  or file upload connector (Mark)
- Implemented 'passwd' configuration type, this allows passwords in the
  configuration screen to be properly masked (Mark)
- Story submission does not clear the Site Tailor menu cache which results
  in the topic story count being wrong (Mark) (story.class.php)
- Installation did not properly detect missing siteconfig.php.dist file (Mark)
- Advanced search using date range did not return stories or comments in
  that date range (Mark)

FileMgmt
--------
- Do not allow user to select the current category as it's own parent (Mark)
- Call stripslashes() on file description prior to emailing admins of new
  upload (Mark)
- Ability to change the owner (submitter) of a file (Mark)

Forum
-----
- Root users could not post to read only forums (Mark)
- Set width for text formatted code blocks in forum when using a fixed width
  layout (Eric)
- Fixed issue where duplicate forum names (different categories) did not show
  in the forum selection list for moderation functions. (Mark)

Media Gallery
-------------
- Upgraded minislideshow.swf to latest version (Mark)
- New config setting: $_MG_CONF['use_large_stars'] - if set to 1, the larger
  stars will be used in the album view instead of the smaller stars. (Mark)
- Added option to phpblock_mg_randommedia to link to album instead of media.
  Modify the block function to phpblock_mg_randommedia(album) (Mark)
- Added option to statically sort an album by rating (Mark)
- FTP import did not properly add trailing backslash if missing (Mark)
- Moved RSS feed files to the glFusion backend/ directory (Mark)
- Email moderators option did not appear in album edit / create (Mark)
- Under some circumstances creating an album would fail with an SQL error (Mark)
- Fixed issue where 'slideshow' auto tag did not honor the media_order
  field (Mark).
- FTP batch import would crash with SQL error (Mark)
- 0000428 Wiki type keywords - Added [alink] auto tag to allow text links
  to albums (Mark)
- 0000437 Slideshow autotag does not honor caption option in config. (Mark)
- Improved error handling when a user tries to access a media item they
  do not have permission to view (Mark)
- Random image block did not change (Mark)

Site Tailor
-----------
- 0000434: [Menu] copy menu does not work (Mark)

StaticPages
-----------
- Handle session timeouts more gracefully (Mark)
- Added option to edit the author and owner (Mark)
- Unable to upload images via the advanced editor when cloning a story (Mark)

v1.1.3
------
- What's New block did not honor the URL rewrite setting for stories (Mark)
- 0000424: Reorder fields on 'Username & Password' tab to be more intuitive (Eric)
- Increased size of Forum category title text (Eric)
- Limit long term session cookie to user's ip to limit chances of
  user masquerading (Mark)
- 0000289 cleanup story options and incorporate template options (mark)
- 0000423 Not all staticpage options are cloned (mark)
- 0000369 Can we make theme code name-neutral (again) (mark)
- 0000405/0000289 Removed PDF option references and consistency fixes in story templates (Eric)
- Fixed issue where 1 or 111 would show up in templates (Mark)
- Fixed old reference to css.php in FCKeditor (Mark)
- Updated getID3() to latest production release (Mark)
- 0000330: Static page bullets not working in IE and proper nesting of typography icons (Eric)
- 0000403: Search box text is hard coded in header.thtml (Eric)
- 0000418: Forum code block max width breaks fixed width layouts (Eric)
- 0000416: After mailing users, screen refreshes to admin/moderation.php not admin/index.php (Eric)
- 0000290: Language & Layout inconsistencies (Eric)
- Added config switch to include template location comments in page
  source (Mark & Eric)
- Improved error detection when sending emails (Mark)
- Tweaked plugin upload to not crash when hitting certain permission
  errors (Mark)
- 0000415: css.php and js.php consume too much CPU (mark)
- 0000408: "Edit a Comment' is hard coded in the source (mark)
- 0000411: Sending trackbacks to WordPress sites fail (mark)
- 0000410: Uploading large plugins could error with max_execution_time exceeded
           (mark)
- 0000409: Template Caching is very slow when using network shares (mark)
- 0000407: The template library does not properly handle double dashes (--) in
           the item id when creating the instance cache HTML comment (mark)
- 0000263: Hide "Comments (0)" indication when there are 0 comments (Eric)
- 0000342: Default text size for textarea (Eric)
- 0000380: Menu graphic <li> background does not display in IE6 (Eric)
- 0000402: "No boxes" should read "No Blocks" in Account Settings (Eric)
- 0000387: Clean up loginform.thtml (Eric)
- 0000385: copy icon broken in site tailor (Eric)
- 0000400: Default topic was not selected on new stories (mark)
- 0000397: Incorrect paths are used throughout the system.
           $_CONF['path'].'system/' instead of $_CONF['path_system'] (mark)
- 0000396: htmlLawed has been upgraded to v1.1.7.2 (mark)
- 0000395: Removing a plugins files causes glFusion to crash (mark)
- 0000390: Postcards do not display properly in mail client (mark)
- 0000386: CUSTOM_templateSetVars() does not work for story templates (mark)
- 0000384: icon for additional profile api broken (mark)
- Added default mooDrawer and mooMorph example widgets (Eric)

Calendar Plugin
---------------
- Implemented getheadercss() (Mark)
- 0000391: Cannot edit minutes field in Event Start Date after 1.1.2
           upgrade (mark)

CAPTCHA Plugin
--------------
- 0000412: If using the 'general' option to enable CAPTCHA in a static page,
           there is no template variable to pass (mark)

FileMgmt Plugin
---------------
- 0000413: If uploads are not moderated, the extension mapping rename is not
           performed. (mark)

Forum Plugin
------------
- Added ability to have custom style.css in theme/plugins/forum/ (Mark)
- Removed duplicate configuration data from config.php (Mark)

Media Gallery Plugin
--------------------
- Added $_MG_CONF['play_mp4_flv'] option to play MP4 video in Flash Video
  Player (Mark)
- Added ability to have custom style.css in theme/plugins/mediagallery/ (Mark)
- Fixed gallery_remote issue where parent/child relationship was not properly
  set (Mark)
- Fixed some cosmetic issues with Coppermine import (Mark)
- 0000393: Search results do not honor the gallery view thumbnail size. (mark)

Polls Plugin
------------
- Added ability to have custom style.css in theme/plugins/polls/ (Mark)

Site Tailor
-----------
- 0000259: Cancelling edit of menu item returns to menu listing instead of
           element list (mark)
- 0000414: When trying to edit a menu's elements, it crashes with editTree()
           error. (mark)

v1.1.2
------
- Fix issue with creating icons and block help links properly with SSL sites
  (Mark)
- Added ability for path to speck.gif to be set on install (Eric)
- Fixed broken reference to images/speck.gif in gl_moorotator-block.js (Eric)
- Fixed stripslashes error where fullname was not properly stripped on
  user edit (Mark)
- Fixed SQL error when admin saves user, loginname was not properly escaped
  and would cause SQL error if it contained an apostrophe (Mark)
- Made Google style search results title larger for improved readability (Eric)
- W3 validation fix for forum centerblock provided by Ironmax (Eric)
- Updated Docs icon in Command & Control (Eric)
- Flipped orientation of cart icon in public_html/layout/nouveau/images/ (Eric)
- Removed nowrap from FileMgmt categories and sub-categories for better
  layout (Eric)
- Implemented $_SYSTEM['swedish_date_hack'] to resolve PHP's strftime()
  deficiencies with UTF-8 Swedish characters. (Mark)
- Ability to change a topic and story owner (Mark)
- Fixed user profile display bugs - now properly honor show online,
  record last login, and show fullname configuration settings (Mark)
- Implemented improved handling of user profile page when user photos are
  disabled (Mark & Eric)
- Remove cached story (old version) if SID changes (Mark)
- Fixed crash on Windows platform when time is calculated as negative (Mark)
- Added PLG_profileIconDisplay() to allow plugins to display an icon under
  the profile image (Mark & Eric)
- Fixed ImageMagick error when rotating images, patch by LeeG (Mark)
- Added option to force the site email as the From: email address (Mark)
- Added RFI checks to all SQL and language files (Mark)
- Added clear float after mooslider in lib-widgets (Mark)
- Clear array prior to use in lib-plugins to prevent previous plugin menu
  entries from showing (Mark)
- Fixed bug where Keep Unscaled Image setting was ignored (Mark)
- Account Settings interface naming consistency fixes (Eric)
- Removed unused gltips.thtml template file (Eric)
- Log error message when token check fails (Mark)
- Cleaned up Configuration screen setting labels, made more uniform (Eric)
- Added missing addchild.png image for Links plugin Category admin screen (Eric)
- Added Bulgarian install language (Mark)
- Added styled error message (Eric)
- Fixed AM/PM going onto second line randomly in forum lastx view (Eric)
- Fixed bug where searching for _just_ a date range would fail (Mark)
- Replaced ini_set() calls for include path to set_include_path() (Mark)
- Redesigned the layout of the install screens (Eric)
- Removed height property from .profile-image to maintain original aspect ratio
  of picture (issue 333) (Eric)
- Updated version numbers (Mark)
- Updated htmLawed to v1.1.6 (Mark)
- Fixed issue where user groups did not save from user edit screen (Mark)
- Prevent mailer from crashing if unable to connect to SMTP server (Mark)
- Enlarged the plaintext entry box for email story and contact user (Mark)
- Fixed issue where HTML emails were being sent in plain text format (Mark)
- Fixed a couple of bugs when mailing a story:
   - HTML mode was not honored
   - Selecting plain text did not work
- Reworked forgotten password handling (Mark)
- Rewrote install / upgrade routines (Mark)
- Implemented plugin upload / auto install (Mark)
- Upgrade FCKEditor to latest production release (Mark)
- Detect crashed sessions table and attempt to auto repair (Mark)
- Validate arrays prior to using them - prevent permission crashes (Mark)
- Fixed missing global declaration in image watermarking (Mark)
- Do not use config cache if not writable (Mark)
- Added new COM_isWritable()  (Mark)
- Refreshed PEAR libraries with latest versions (Mark)
- Resolved a search issue if query was empty but topic was not (mark)
- Implemented a 'clone story' feature (Mark)
- Enhanced system maintenance option handling. No longer use $_CONF vars which
  could cause issues with caching of the configuration settings. (Mark)
    - rootdebug
    - site_enabled
    - no_fail_sql
    - no_config_cache (new)
    - maintenance_mode (new)
- Comments always show username, regarless of show_fullname configuration
  setting - Port from Geeklog (Mark)
- Do not filter non-HTML email messages (Mark)
- Fixed bug where [imageX] did not allow more than 1 image per story (Mark)
- New option to email user when admin creates account (Mark)
- Enhanced password generation, do not include commonly mistaken characters
  like 0 and O, 1 and l - Patch by Jeff Hare (Mark)
- Change mailer text to glFusion CMS (Mark)
- Removed extra : (colon) from template (already in language file) (Mark)
- Fixed error in emailglfusionstories that would include banned and non-active
  users - Patch by cchiapusio (Mark)
- Upgraded FCKeditor to latest version
- Plugins: Implement check to see if plugin is disabled and return 404 error.
  The 404 Not Found message can be overwridden by implementing a custom
  CUSTOM_404() function in lib-custom.php  (Mark)
- Replace preg_replace with more efficient str_replace (Mark)
- Incorrect function used when extracting links (Mark)
- Remove EXIF processing from getID3() library for JPG files, not needed
  and fails miserably when corrupt meta data exists. (Mark)
- Properly encode spaces in XML (Mark)
- Allow standard mime types when uploading batch users (Mark)
- Implemented fix JS for IE8 and vertical cascading menus (Mark)
- Fixed logic processing in template class (Mark)
- Improved main page SQL to be much more efficient (Mark)
- Handle UTF-8 encoded configuration settings better (Mark)
- Check username length (Mark)
- Pass error message when speedlimit error (Mark)
- XHTML Fix in lib-plugins.php (Mark)
- Fixed spelling error (no code changes) (Mark)
- Added nofollow attribute to comment reply (Mark)
- Added nofollow attribute to email links (Mark)
- Moved wiki processing to its own functions (Mark - port from Geeklog)
- Admin index did not display informational messages (Mark)
- Implement COM_showMessageText() (Mark - port from Geeklog)
  Implement COM_showMessageFromParameter()
  Fixed bug in COM_getYearFormOptions()
- Add lang direction to article template (Mark)
- Searches with & (or other special chars) would fail on stories and comments
  and several plugins (Mark)
- Fixed wrong use of COM_isAnonUser in COM_getPermSQL (port from Geeklog)
- Fixed STORY_getItemInfo - need to check the draft flag and for a publish date
- Admin lists allowed non-sortable columns to be sortable (port from Geeklog)
- URL Rewriting can fail on certain web servers. Now check to ensure the
  arguments are properly calculated. (Mark)
- Enhanced fusionrescue.php to allow session table repair (Mark)
- Fixed issue where links to the help documents do not appear for plugins
  in the online configuration. (bug #0000292) (Mark)
- Fixed issue when saving a story from the submission queue could crash under
  certain circumstances. (bug #0000295)
- Fixed bug where the URL query string could be duplicated when determining
  the current URL (bug #000293) (Mark)
- Improved error handling in the image processing routines (bug #0000296) (Mark)

Bad Behavior2 Plugin
--------------------
 - Upgrade Bad Behavior2 to v2.0.26 (Mark)

Calendar Plugin
---------------
- Add option to remove ability for non-admins to submit events (Mark)
- Rewrote the event submission to no longer use the generic submit.php. Now if
  errors are encounted, the data entry is preserved (Mark)

CAPTCHA Plugin
--------------
- Improved integration with Calendar / Links (Mark)

FileMgmt Plugin
---------------
- Added ability to store files outside of the web root (Mark)
- Removed unused configuration option fileStoreURL (Mark)
- Fixed bug where main index file list did not filter by group
  permissions (Mark)
- Enhanced what's new lists (mark)
- Ability to use remote URL instead of local file (Mark)
- Email filemgmt Admin group when new uploads are submitted (Mark)

Forum Plugin
------------
- Removed unused configuration option - show_popular_perpage (Mark)
- Fixed HTML validation error with Forum search results (Mark)
- Added [file]#[/file] button and help information (Mark)
- Several fixes dealing with busy / quiet forum icons (Mark)
- Reworked New Posts and added to navigation menu (Mark)
- Ability to move a forum between categories (Mark)
- Fixed security issue where a user could edit another user's post if they
  knew the correct URL (Mark)
- Fixed a security vulnerability in the popular topic listing. The list did
  not properly filter posts by permission allowing posts that a user did not
  have read access to be listed. Reported by Eric Kingsley (Mark)
- Implemented ability to manage bookmarks from the bookmark screen (Mark)
- Fixed bug in Site Member Report that displayed the wrong number of total
  users (Mark)
- Fixed absolute include of lib-users (Mark)
- Added missing allow memberlist configuration to config.php (Mark)
- Fixed issue with usernames containing special characters (Mark)

Links Plugin
------------
- New option to load links in a new browser window (Mark)
- Validate the link is of valid structure prior to saving (Mark)
- Rewrote the links user submission to no longer use the generic submit.php.
  Now if errors are encountered, data entry is preserved (Mark)

Media Gallery Plugin
--------------------
- Added a check to ensure the trailing backslash is placed on the temp
  directory path (Mark)
- Fixed issue where enrolling in Member Albums would cause SQL error (Mark)
- Fixed bug with generating unique slideshow ids (Mark)
- Improved error trapping for permission issues on upload (Mark)
- Updated MG import for stories to use new story class (Mark)
- Removed references to non-existent usage.html (Mark)
- Implemented 'Your Member Album' link in user options (Mark)
- Turn off version checking in config.php (Mark)
- Updated the EXIF library to latest release (Mark)
- Add support for newlines in postcard email. (Mark)
- Fixed a missing global variable which caused batch image rotate to
  fail (Mark)
- Added check to rating code to validate if login is required and if user is
  logged in (Mark)
- Enhanced gallery_remote2.php to support F-SPOT Gallery export (Mark)
- Fixed bug where the global edit of 'enable_postcards' failed.
  (bug #0000294) (Mark)
- Fixed bug where email did not properly send for uploads and postcards (Mark)

Polls Plugin
------------
- Fixed XHTML compliance issue (Mark)

Site Tailor Plugin
------------------
- Implemented clone menu and multi-language support (Mark)
- Implemented the hmenu and vmenu auto tags (Mark)
- Fixed issue where color was not properly used (Eric)
- Improved instance cache operations when editing a menu element (Mark)
- Improved handling of missing plugins when associated with a menu item (Mark)
- Fixed 'Display After' not showing proper entries when editing a second
  level menu (Mark)
- Fixed issue where a blank URL would always have http:// added to the
  beginning of the string (Mark)



StaticPages Plugin
------------------
- By default, check Enable Search box (Mark)
- Improved handling of disabled plugins when there is a menu item that
  points to it. (Mark)
- Fixed bug where sub-menus did not display the correct items in the
  display after field (Mark)
- Do not add http:// to blank URLs (Mark)
- Made editor window larger when using advanced editor (Mark)
- Ability to delete pages from admin list (Mark)
- Do not include pages with sp_search set to 0 in stats (Mark)


v1.1.1
------
- Bumped version number to v1.1.1 (Mark)
        public_html/lib-common.php
        public_html/admin/install/index.php

- Fixed bug where contacting a user would try to redirect to profile page
  when profileloginrequired = true (Mark)
        public_html/profiles.php

- Added rdf_file to the fusionrescue.php fields (Mark)
        public_html/admin/install/fusionrescue.php

- Fixed IE6 bug with the block menus (Eric)
        public_html/javascript/sitetailor_ie6vertmenu.js

- Fixed issue with openbase_dir restrictions when processing mime types (Mark)
        private/lib/getid3/getid3.lib.php

- Added new multi-byte function: MBYTE_is_utf8() returns true if a valid
  utf-8 string (Mark)
        private/system/lib-mbyte.php

- Calendar Plugin: Fixed an issue where the day of the week name would not
  properly display on UTF-8 sites (Mark)
        private/plugins/calendar/functions.inc

- Configuration now checks to see if plugin help file exists before placing
  the help icon next to the configuration option (Mark)
        private/system/classes/config.class.php

- FileMgmt: Fixed a bug where non-approved uploads would show in RSS feed (Mark)
        private/plugins/filemgmt/functions.inc

- Forum Plugin: Fixed bug where it would not return you to the post you just
  edited, instead it would take you to the first post. (Mark)
        public_html/forum/createtopic.php

- Cleaned up language file (Eric)
        private/language/english.php
        private/language/english_utf-8.php

- Cleaned up login form (Eric)
        public_html\layout\nouveau\users\loginform.thtml

- Update MooTicker RSS feeds (Eric)
        private/system/lib-widgets.php

- Added a feature to turn on / off the FileMgmt integration with the Forum
  plugin for storing uploaded files. (Mark)
        private/plugins/forum/config.php
        public_html/forum/createtopic.php

- Added feature to plugin_autouninstall to purge configuration data if it
  exists (Mark)
        private/system/lib-plugins.php

- Several folks reported issues including the Date/TimeZone.php file from the
  included pear modules in the usersettings.php. Now use full path if have_pear
  is set to false (Mark)
        public_html/usersettings.php

- Ensure a mime type is set when uploading files (Mark)
        private/system/classes/upload.class.php

- Fixed a bug when highlighting a query and the text contains regex type items.
        public_html/lib-common.php

- Reworked the search algorithms
  Fixed missing titles and not available messages too...
        private/system/classes/search.class.php
        private/system/classes/searchcriteria.class.php
        private/system/classes/listfactory.class.php
        public_html/layout/nouveau/lists/inline/list.thtml
        public_html/layout/nouveau/lists/table/list.thtml

        private/plugins/forum/functions.inc

        **Also requires and update to DokuWiki** functions.inc

- FileMgmt: Auto tags did not work properly if URL rewrite enabled (Mark)
        public_html/filemgmt/index.php

- FileMgmt: Filesize was set to 0 bytes when approving user submitted
  files (Mark)
        public_html/admin/plugins/filemgmt/index.php

- Fixed bug where username did not show in the search Author: field,
  instead the current username repeated over and over (Mark)
        private/system/classes/search.class.php

- Fixed bug where no more than 5 images could be uploaded to a story (Mark)
        private/system/lib-story.php

- Moved the configuration cache file into the data/layout_cache/ directory.
  (Mark)
        private/system/classes/config.class.php

- Searching - Fixed improper use of stripslashes() on the results (Mark)
        private/system/classes/search.class.php

- StaticPages: Fixed improper use of a bunch of stripslashes() calls. (Mark)
        private/plugins/staticpages/functions.inc
        private/plugins/staticpages/services.inc.php
        public_html/admin/plugins/staticpages/index.php

- Media Gallery: If both width and height were passed to a video auto tag,
  neither the width or height were properly set. Also, fixed a variable name
  that was mistyped (Mark)
        private/plugins/mediagallery/functions.inc

- Fixed an issue where the bbcode parser could exhaust system resources. (Mark)
        private/lib/bbcode/stringparser.class.php

- Bad Behavior2 - Upgraded to v2.0.25 (Mark)
        public_html/bad_behavior2/bad-behavior/blackhole.inc.php
        public_html/bad_behavior2/bad-behavior/version.inc.php
        public_html/bad_behavior2/README.txt

- moderation fails with a 2 - Missing argument 1 for draftlist() error (Mark)
        public_html/admin/moderation.php

- Media Gallery: img auto tag with alignment will not always work with
  IE. (Mark)
        private/plugins/mediagallery/functions.inc

- Added missing security token to trackback editor (Mark)
        public_html/layout/nouveau/admin/trackback/trackbackeditor.thtml

- If login is required for search and disable_new_registrations is true,
  non-logged-in users who performed a search were presented with a link
  to the 'New User' page.  Removed the New User link if registration is
  disabled. (Mark)
        private/system/classes/search.class.php
        public_html/layout/nouveau/submit/submitloginrequired.thtml

- Fixed a problem that only appears if the configuration setting
  for Languages is set, but Language Files is not (Mark)
        public_html/lib-common.php

- Removed reference to required_bg.gif in style.css (Mark)
        public_html/layout/nouveau/style.css

- glFusion did not honor the show_right_blocks setting (Mark)
        public_html/lib-common.php

- Removed reference to missing graphic on gllform. class. (Mark)
        public_html/layout/nouveau/style.css

- Fixed broken API COM_sanitizeUrl().  We removed the allowed_protocol
  configuration option but neglected to update this function. (Mark)
        public_html/lib-common.php

- Media Gallery: Fixed issue with header parsing in the gps.php module (Mark)
        private/plugins/mediagallery/include/makers/gps.php

- Forum: Fixed issue where notification email is off my one reply id (Mark)
        public_html/forum/createtopic.php

- Media Gallery: Fixed an issue when importing from Gallery v1.x, the import
  would fail on empty Gallery albums. (Mark)
        public_html/admin/plugins/mediagallery/importers/Galleryv1/index.php

- Media Gallery: Fixed error in watermarking code that caused application to
  fail. (Mark)
        private/system/imglib/lib-image.php

- Enhanced error check when reading EXIF data from JPG images, ensure that
  corrupted images do not cause the application to fail. (Mark)
        private/lib/getid3/module.graphic.jpg.php


v1.1.0
------
- Add IP to the log entry for failed logins (Mark)
- Modified translation widget to keep Google from caching results (Mark)
- Fixed issue where 'Read the full article' prompt did not display
  the URL in Thunderbird (Mark)
- Forum: Fixed issue in Latest Post tab, did not use the latest reply
  date for the date column (Mark)
- Forum: Changed 'Date' column title to 'Latest Post' in Latest Post Tab (Mark)
- Modified index maintenance (cleanup) to no longer produce fatal errors
  if the index does not exist (Mark)
- Cache JS by theme (Mark)
- Fixed conflict with lib-portalparts.php (Mark)
- MediaGallery: Fixed issue where children albums with more open permissions
  were showing in the What's New block causing an error when selected (Mark)
- Fixed error with forgot password screen displaying new user registration
  regardless of Disable New User Registration setting (Mark)
- Fixed crash when no stories exist and auto close comments enable (Mark)
- Fixed PHP5 only call in configuration (Mark)
- Fixed XHTML compliance issue with Last X posts in Forum (Mark)
- Fixed mime detection problem in upload.class.php (Mark)
- Fixed issue with forum notification not displaying the remove link (Mark)

v1.1.0.rc1
------------
- Fixed issue where unset / set config options did not clear cache (Mark)
- Added additional Media and Number list styles to default typography (Eric)
- Added default configured widgets to new install (Eric)
- FileMgmt: decode the sort options to prevent SQL error (Mark)
- Resolve missing date field in polls table on upgrade (Mark)
- Migration from Geeklog failed due to incorrect return code (Mark)
- Properly initialize default photo configuration option (Mark)
- Several small XHTML fixes (Mark)
- Fixed comments auto close (it would close immediately) (Mark)
- Site Tailor: Properly initiate fValidator class on create menu (Mark)
- Removed unused gllabsform.css (Mark)
- Added filecheck.php to assist with source file cleanup (Mark)
- Site Tailor: Clear CTL after menu reset (Mark)
- Force MyISAM table types (Mark)
- Site Tailor: Updated menu builder prompts to better reflect item being
  edited (Mark)
- Updated / added online help documentation (Mark)
- Added ISO country code translation (Mark)
- Site Tailor: Make header, navigation, footer menu permanent (Mark)
- FileMgmt: Fixed invalid &nbsp (missing semi-colon) (Mark)
- Added #top to default footer menu (Mark)
- Added Auto Translations widget block for automatic site translation (Eric & Mark)
- Added private/system/lib-widgets.php as a place for widget javascripts and other
  functionality (Eric, Joe, & Mark)
- Added digg link support and $_CONF['digg_enabled'] (Eric & Joe)
- Created USES_ family of functions for included libraries not loaded
  by lib-common.php (Joe)
- Moved COM_featuredCheck() to STORY_featuredCheck() (Joe)
- Added local cache to (and reformatted code in) COM_getDisplayName() (Joe)
- Added COM_showLoginRequiredMsg() - Will propogate calls to it throughout
  glFusion in v1.2.0 (Joe)
- Added blank index.html pages for directory security in various places in the
  public_html/ path (Eric)
- Added new icons to match those defined in style.css (Eric)
- Added additional gl_moosimplebox mootools javascript widget, with accompanying
  css and images, to allow creation of styled popup content boxes (Eric)
- Send story did not send proper variable to PLG_itemPreSave() - Fix by Dirk
  Haun Geeklog team (Mark)
- Fixed 'cookiedomain' being reported as changed in the Configuration - Fix by
  Dirk Haun Geeklog team (Mark)
- Link plugin - Prevent overwriting existing links when changing the link ID
  Fix by Dirk Haun Geeklog team (Mark)
- Redesigned Profile page display - removed PGP display to a popup box, and
  added hard break at end to prevent plugin items from overlapping main
  profile page (Eric & Mark)
- Forum plugin - added new configuration option to set display order on
  the topic reply previous posts iframe (Mark)
- Removed theme name from css.php, now use proper configuration vars (Mark)
- BB2: Stop generating stats every time templateSetVars is called (Joe)
- Fixed issue with search truncating description text (Mark)
- Improved error handling when CTL cannot write to cache directory (Mark)
- Created (and converted all security profile hashes to) CACHE_security_hash() (Joe)
- CTL: Save some cycles in {!if var} processing, some debug traces, code cleanup (Joe)
- Upgraded Bad Behavior to v2.0.24 (Mark)
- Attempting to change your password when your email address is 'invalid' causes
  password change but failed to make changes message. (M.Jervis Geeklog Team) (Mark)
- FileMgmt did not honor the logged in required to view for menu,
  search, and stats. (Mark)
- Forum did not honor the logged in required to view for the new post
  block, searching, and stats. (Mark)
- Clear CTL when stories are auto deleted or archived (Mark)
- Do not display profile page for anonymous users (Mark)
- Modified block editor to allow use of advanced editor (Mark)
- Added HTML filtering allow embed tag to configuration (Mark)
- Added css_compress configuration option to configuration (Mark)
- Added default sort order to configuration (Mark)
- Fixed missing </li> on parent menu without children nodes (Mark)
- Fixed issue where What's New and old cached stories were not updated when the
  story was set to auto archive or delete. (Mark)
- Fixed Forum notification email to actually point to the last reply where
  appropriate (Mark)
- Bugfix of template root hook for directories below layout/nouveau/ (Joe)
- Implemented new mailer - added support for secure SMTP (Mark)
- Fixed searching for non-installed plugins when open_basedir restrictions are in
  effect (GL bug #0000741)
- Story cache does not cache date format (Joe)
- Fixed broken image references in Site Tailor Install (Eric)
- Changed hard-coded "N/A" from Admins Only menu with a language file generated neutral "-" (Eric)
- Implemented js.php / css.php to consolidate all CSS and JS (Mark)
- Forum to always use HTML filter for html posts (Mark)
- New option for static pages - include / exclude from search (Mark)
- Several RFI security improvements throughout (Mark)
- Updated Site Tailor to v2.0.0 - Ability to create multiple menus (Mark)
- Search engine enhancements (Mark)
- Comment handling enhancements (Mark)
- Auto detect block tempaltes for left and right (Mark)
- Approve draft from moderation queue fails due to CSRF hardening. (Mark)
- BB2 Update - eliminated redundant hits to vars table (Joe)
- Added $_CONF['hide_adminmenu'] (Joe)
- Added ability for plugins to control moderation queue by returning a string from plugin_itemlist_
  No other moderation functions will be called if a string is returned. (Joe)
- Separated Command and Control from Submissions page in admin (Joe)
- Removed non-english language files from install tarball (will be separate download) (Eric)
- Updated look of site footer to support a Site Tailor footer menu (Eric)
- Moved the Nouveau javascript widget files so they can be used by any theme (Eric)
- Added /custom directories to all the private/plugin/templates/ .thtml files (Eric)
- Implemented the advanced editor for Contact User and Email Story (Mark)
- FileMgmt: Fixed a bug that caused the broken file reporting to not work (Mark)
- Added logview feature to moderation screen (Mark)
- Added jhead / jpegtrans configuration options (Mark)
- Added timezone select list in configuration (Mark)
- Updated Bad Behavior2 to v2.0.23 (Mark)
- Updated look of default poll vote results. (Eric)
- Updated .sql on default install and preliminary .sql prep for mssql support. (Eric)
- Moved and updated Terms of Use and Privacy Policy so they can be theme independent. (Eric)
- Removed orphan images from tarball. (Eric)
- Implemented feature to auto close / edit comments for articles (Mark)
- Microsummaries support for topics fixed. (Mark)
- Fixed hard coded table name in lib-security (Mark).
- Handle HTML properly for config item in configuration (Mark).
- Polls Plugin - Now if multiple questions make button read
  'Start Poll' instead of vote (Mark)
- Implemented PHPMailer into core (Mark)
- Moved PHPMailer to lib/ from Media Gallery (Mark)
- Moved stringparser_bbcode.* to lib/ from Forum plugin (Mark)
- Moved getID3 to lib/ from Media Gallery (Mark)
- New lib-image.php - image processing APIs from Media Gallery (Mark)
- Updated upload.class.php to use new image APIs (Mark)
- FileMgmt Updates (Mark)
   - Replacement upload allows same file to be re-uploaded
   - Filesize is automatically recalulated when new file is uploaded
   - Thumbnail image is not auto-sized (640x480 max)
- Forum Updates (Mark)
   - Improved the upload handling of images
   - Improved permission checking, validate user has proper permissions
     before displaying new / reply links.
- Media Gallery Updates (Mark)
   - Moved image processing APIs to core
- Updated topic image to better match default header. (Eric)
- Removed the Professional theme. (Eric)
- Fixed error in RSS topic icon (needed to be sprintf). (Mark)
- Made the namespace URLs constants for web services - no changes in
  functionality. (Mark)
- Tweaked online documentation style to no longer indent each header level. (Mark)
- Updated help documents to reference glfusion.org (Mark)
- Forum Plugin - Added bookmarks tab and last x tab. (Mark)
- Site Tailor - Fix problem that adds http:// to empty URL string. Now check
  to ensure there is something there first. (Mark)
- Media Gallery Plugin - Fixed issue where saving the configuration would
  cause an error due to openbase_dir restrictions. (Mark)
- Calendar Plugin - Fixed date comparison ("End date is before start date") (Mark)
- Changed syndication type to 'article' from 'glfusion' (Mark)
- Added commentfeeds plugin to defaults (Mark)
- New pop-up help window in configuration (Mark)
- Moved Forum configuration to online configuration. (Mark)
- Moved FileMgmt configuration to online configuration. (Mark)
- Moved CAPTCHA configuration to online configuration. (Mark)
- Added clear cache for Forum centerblock on moderation functions. (Mark)
- Fixed missing Configuration entry in Site Tailor menu (Admin Menu generation) (Mark)
- Made ie6Warning javascript more neutral so it can be used by other themes (Eric)
- Added MooTools sameheight javascript to extend bg of 3 column dynamic div layouts (Eric)
- Consolidated all MooTools libraries - now part of core. Moved to public_html/javascript/
  directory. (Mark)
- New theme API themename_headerVars(&$template). Allows a theme
  to set header variables. (Mark)
- New install / upgrade system - allows migration from Geeklog (Mark)
- Added new GVERSION define (Mark)
- Fix for date formatting in RSS fields (Mark)
- Renamed the syndication feed type "glfusion" to "article" (Mark)
- New option "All Frontpage Stories" for article feeds: skip stories that have
  the "Show only in topic" option set (Mark)
- Better support for plugin messages (Mark)
- Webservices tweaks to improve support for more clients. (Mark)
- Ensure name and email are properly populated on comment listings. (Mark)
- Moved CAPTCHA, Forum, and FileMgmt configuration to the core configuration
  system. (Mark)
- Updated default header logo (Mark)
- Implemented glFusion CSS layout driven header / footer functions. (Mark)
- Bumped version number to 1.1.0svn (Mark)

v1.0.1
------
- Added a new configuration option to prevent SQL errors
  in the event there is a unknown site issue. This will
  allow the site to continue to load and possibly help
  in diagnosing the problem.
        private/system/databases/mysql.class.php
        private/system/lib-database.php
        public_html/siteconfig.php.dist

- Tweaks to upgrade / install SQL to support glFusion
        private/sql/mysql_tableanddata.php
        private/sql/updates/mysql_1.4.1_to_1.5.0.php

- Fixed a small style issue
        public_html/layout/nouveau/style.css
        public_html/layout/nouveau/js/gl_mooslide.js

- Updated install SQL to point to proper web site
        private/sql/mysql_tableanddata.php

- Updated Security Check to point to correct mailing list
        public_html/admin/sectest.php

- Improved configuration data validation
        private/system/classes/config.class.php
        public_html/admin/configuration.php

- New template variable for front page - page_title_and_site_name
        public_html/lib-common.php
        public_html/layout/professional/header.thtml

- Added IE6 warning javascript (Eric)
		public_html/layout/nouveau/css/ie6.css
		public_html/layout/nouveau/js/ie6warning.js
		public_html/layout/nouveau/htmlheader.thtml

- Updated some Command n Control icons - thx EdCates! (Eric)
		public_html/forum/images/forum.png
		public_html/layout/nouveau/images/icons/docs.png
		public_html/layout/nouveau/images/icons/mail.png
		public_html/layout/nouveau/images/icons/plugins.png
		public_html/layout/nouveau/images/icons/syndication.png
		public_html/layout/nouveau/images/icons/topic.png
		public_html/layout/nouveau/images/icons/versioncheck.png
		public_html/polls/images/polls.png
		public_html/staticpages/images/staticpages.png

- Updated glFusion Wiki link to point to the gllabs wiki root instead of gllabs.org (Eric)
		public_html/docs/config.html
		public_html/docs/index.html
		public_html/docs/install.html

- Fixed slider height issue and added border in menu colorpicker (Eric)
		public_html/admin/plugins/sitetailor/css/mooRainbow.css

- Adjusted layout of comments for better readability (Eric)
		public_html/layout/nouveau/comment/comment.thtml
		public_html/layout/nouveau/comment/commentbar.thtml
		public_html/layout/nouveau/comment/thread.thtml

- Fixed menu alignment
        public_html/layout/nouveau/functions.php
        public_html/layout/nouveau/htmlheader.thtml

- New advanced editor toolbar.  Modified user submitted story editor
  menu to have more advanced features, but it is missing the
  image / mediagallery insert.
        public_html/fckeditor/myconfig.js
        public_html/javascript/submitstory_fckeditor.js

- New user create / delete hooks CUSTOM_createUserHook($uid) and
  CUSTOM_deleteUserHook($uid)
        private/system/lib-user.php
        private/system/lib-custom.php.dist

- Made all Command n Control icons have a transparent background (issue 191) (Eric)
		public_html/captcha/captcha.png
		public_html/filemgmt/images/filemgmt.png
		public_html/forum/images/forum.png
		public_html/layout/nouveau/images/icons/configuration.png
		public_html/layout/nouveau/images/icons/docs.png
		public_html/layout/nouveau/images/icons/logout.png
		public_html/layout/nouveau/images/icons/trackback.png
		public_html/links/images/links.png
		public_html/polls/images/polls.png
		private/plugins/filemgmt/functions.inc

- Fix IE6 gl_navigation column differences in fixed vs. fluid gl_container layouts (issue 189) (Eric)
		public_html/layout/nouveau/css/ie6.css

- Added new VideoEmbed plugin for FCKeditor
        public_html/fckeditor/fckconfig.js
        public_html/fckeditor/myconfig.js
        public_html/fckeditor/editor/plugins/video/fckplugin.js
        public_html/fckeditor/editor/plugins/video/readme.txt
        public_html/fckeditor/editor/plugins/video/video.php
        public_html/fckeditor/editor/plugins/video/css/style.css
        public_html/fckeditor/editor/plugins/video/images/video.gif
        public_html/fckeditor/editor/plugins/video/jscripts/functions.js
        public_html/fckeditor/editor/plugins/video/langs/english.php
        public_html/fckeditor/editor/plugins/video/templates/embed.thtml
        public_html/fckeditor/editor/plugins/video/templates/embed_body.thtml

- Changed 'domready' events to 'load' events to solve IE domready bug.
        public_html/layout/nouveau/functions.php

- Fixed language file errors - missing comma caused error
        private/language/german.php
        private/language/german_formal.php
        private/language/german_formal_utf-8.php
        private/language/hebrew_utf-8.php

- Terminate a user's session if banned
        public_html/admin/user.php
        private/system/lib-security.php
        private/system/lib-sessions.php

- Stylesheet clean up
        public_html/layout/professional/style.css

- Fixed xhtml validation bug (issue 176) (Eric)
		public_html/layout/nouveau/style.css
		public_html/layout/nouveau/style-colors.css
		public_html/layout/nouveau/admin/story/storyeditor_advanced.thtml

- Fixed issue with IE7 displaying drop down menu with new em measurements
        public_html/layout/nouveau/css/ie7.css

- Implemented the ability to subscribe to a topic in the story display
        public_html/article.php
        public_html/admin/syndication.php
        private/system/lib-story.php
        private/language/english.php
        private/language/english_utf-8.php
        public_html/layout/nouveau/article.thtml
        public_html/layout/nouveau/featuredstorytext.thtml
        public_html/layout/nouveau/storytext.thtml
        public_html/layout/nouveau/images/rss_small.png
        private/language/english.php
        private/language/english_utf-8.php

- Made the default advanced editor style more closely match the Nouveau theme (Eric)
		public_html/fckeditor/fckconfig.js

- Added the gl_moochronometer css (Eric)
		public_html/layout/nouveau/style.css

- Fixed a bug in MSSQL escape code in config.class.php
        private/system/classes/config.class.php

- Added a title to the (X) option
        private/language/english.php
        private/language/english_utf-8.php
        private/system/classes/config.class.php

- Hide the database password when the database backup failed and we're logging
  the mysqldump command
        public_html/admin/database.php

- E_ALL fix + CUSTOM_loginErrorHandler isn't supposed to return anything
        public_html/users.php

- Hebrew language file update
        private/language/hebrew_utf-8.php

- Fixed issue where global array was not properly defined for plugins
        private/plugins/calendar/install_defaults.php
        private/links/calendar/install_defaults.php
        private/polls/calendar/install_defaults.php
        private/spamx/calendar/install_defaults.php
        private/staticpages/calendar/install_defaults.php

- Allow to unset Configuration options again after they have been "restored",
  i.e. enabled
        private/system/classes/config.class.php

- Adopted hack to allow multilingual blocks
        public_html/layout/professional/functions.php
        public_html/layout/nouveau/functions.php
        public_html/lib-common.php

- Fixed a bug that would cause the header to not load properly when changing
  the theme.
        private/system/classes/config.class.php

- Updated layout and spacing of comments to be more visually pleasing (Eric)
        public_html/layout/nouveau/comment/comment.thtml
        public_html/layout/nouveau/comment/commentbar.thtml
        public_html/layout/nouveau/comment/thread.thtml
        public_html/layout/nouveau/style.css
        public_html/layout/nouveau/style-colors.css

- Fixed a HTML validation bug where the closing paragraph tag wasn't created.
        private/system/lib-comment.php

- Allow overriding of rootdebug or other core config variables in
  siteconfig.php for emergency debugging.
        private/system/classes/config.class.php
        public_html/siteconfig.php.dist

- Fixed a security issue that allowed users to view future stories
  and draft stories if they knew the story id.
- PHP 5.0 compatibility for story submissions
        private/system/classes/story.class.php

- Updated htmLawed to v1.1
        private/system/classes/htmLawed.php

- Users with story.edit permission could post stories to topics they
  did not have write permissions to.  Now only present a list of topics
  the user has permission to write. Also added additional check in
  story.class.php to validate the user has the necessary topic permissions
  when editing / saving a story.
        public_html/lib-common.php
        public_html/admin/story.php
        private/system/classes/story.class.php

- MSSQL Isntaller fixes.
        private/sql/mssql_tableanddata.php

- MSSQL issues resolved in calendar plugin and in CSRF tokens.
        private/system/lib-security.php

- Switched menu units from px to em to scale properly (Eric)
        public_html/layout/nouveau/style.css
        public_html/layout/nouveau/css/ie6.css

- Added default moospring images (Eric)
        public_html/layout/nouveau/images/grabit.jpg
        public_html/layout/nouveau/images/joinus.jpg
        public_html/layout/nouveau/images/readit.jpg
        public_html/layout/nouveau/images/sayit.jpg

- Updated icons in Command n Control to reflect those in gl Labs wiki (Eric)
        public_html/admin/plugins/spamx/images/spamx.png
        public_html/calendar/images/calendar.png
        public_html/filemgmt/images/filemgmt.jpg
        public_html/layout/nouveau/images/icons/block.png
        public_html/layout/nouveau/images/icons/configuration.png
        public_html/layout/nouveau/images/icons/database.png
        public_html/layout/nouveau/images/icons/docs.png
        public_html/layout/nouveau/images/icons/event.png
        public_html/layout/nouveau/images/icons/group.png
        public_html/layout/nouveau/images/icons/mail.png
        public_html/layout/nouveau/images/icons/plugins.png
        public_html/layout/nouveau/images/icons/story.png
        public_html/layout/nouveau/images/icons/topic.png
        public_html/layout/nouveau/images/icons/user.png
        public_html/layout/nouveau/images/icons/versioncheck.png
        public_html/staticpages/images/staticpages.png

- Fix for story instance caching, now use permission hash in instance name.
        private/system/lib-story.php

- Fixed broken images:
        public_html/images/openid_login.icon.png
        public_html/images/right_arrow.png

- Removed old, commented out code. Cosmetic update only.
        public_html/article.php

- Fixed output already sent errors when using the custom glFusion / Nouveau
  functions.php (speed limit on login attempts).
        public_html/layout/nouveau/functions.php

- OpenID logins succeed for first timers even when
  $_CONF['disable_new_user_registration'] is true. No longer allow user to
  login if they do not have an existing record in the user table.
        private/system/classes/openidhelper.class.php

- Allow remote users to use the webservices
        private/system/lib-webservices.

- Updated hebrew-utf_8.php
        private/language/hebrew-utf_8.php

- Fixed an error when saving a user submitted story directly to the
  story table (instead of the submission table).  Invalid date for expire
  date.
        private/system/classes/story.class.php

- Fixed reference to geeklog.net in config.class.php for the help  links
        private/system/classes/config.class.php

- Fixed a layout issue with the typography styles (class="arrow"...).
  The margin-left was set to -2em which prevented the bullets from showing.
  Changed to 2em which seems to clear it up.
        public_html/layout/nouveau/style.css

- Updated PLG_uninstall to supress errors for table drop.
        private/system/lib-plugins.php

- Fixed INST_checkTableExists for MS SQL Support.
        public_html/admin/install/index.php

- COM_displayErrorandAbort() sends an HTTP header which conflicts with the
  header sent in COM_siteHeader().  Example, user used trackback URL for a
  calendar event instead of proper URL, gives Output already started error.
  Removed the additional header() calls.
        public_html/lib-common.php

- New comments were not clearing the instance cache for the story or the
  what's new block. Also deleted comments did not update instance cache
        private/system/lib-comment.php

- Search results return duplicate entries for stories when URL rewrite enabled.
        private/system/classes/search.class.php

- Implemented instance caching on stories.
        private/system/lib-story.php
        private/system/classes/story.class.php

- Unable to delete some plugins because $_DB_table_prefix and $_TABLES
  is not defined in plugins.php
        public_html/admin/plugins.php

- Changed SEC_createToken so that it will only return one token per page
  (effectively making it a singleton). This fixes the problem of not being able
  to delete comments when you also have trackbacks for the same article
        private/system/lib-security.php

- Approving a story submission by saving it from the Admin's story editor left
  a duplicate in the submission queue, unless you changed the story ID at the
  same time
        private/system/lib-story.php
        private/system/classes/story.class.php

- Removed extra <br> between introtext and body text when viewing the full story
        private/system/lib-story.php

- Removed unnecessary code ($day is overwritten in the next line).
        public_html/directory.php

- Installation would fail when MySQL in strict mode when trying to insert the
  default story into the database (expire field was '').
        private/sql/mysql_tableanddata.php

Calendar plugin
---------------
- Fix a language inconsistency which caused the inability to delete calendar
  events in the day and week views.
        public_html/calendar/index.php

- Calendar search did not honor the author field.
        private/plugins/calendar/functions.inc

- MSSQL issues resolved in calendar plugin and in CSRF tokens.
        private/plugins/calendar/functions.inc

- Calendar block now includes events from the current day (in progress or all
  day events.
        private/plugins/calendar/functions.inc

FileMgmt plugin
---------------
- Improved error checking on installation
        private/plugins/filemgmt/install.inc
        public_html/admin/plugins/filemgmt/install.php

- Fixed XHTML issues
        public_html/filemgmt/index.php
        public_html/filemgmt/viewcat.php

- Fixed style issue where admin confirmation screen would set whole site
  to bold.
        public_html/filemgmt/include/function.php
        private/plugins/filemgmt/language/english.php


- Reworked the configuration files to solve some integrated installation
  issues.
        private/plugins/filemgmt/filemgmt.php
        private/plugins/filemgmt/config.php

Forum plugin
------------
- Fixed some more XHTML layout issues
        public_html/layout/nouveau/forum/layout/admin/messages.thtml
        public_html/layout/nouveau/forum/layout/admin/migrate_records.thtml
        public_html/layout/nouveau/forum/layout/admin/migratestories.thtml
        public_html/admin/plugins/forum/messages.php

- Fixed a potential security issues with XSS on search field.
        public_html/forum/index.php

- Fixed issue where the 'View all New Posts' link was not being displayed.
        public_html/forum/index.php

Links plugin
------------
- Fixed error where the category name was passed in the URL instead of the
  category id.
        public_html/links/index.php

- Fixed SQL error when trying to change a category id to an already existing id
- Fixed new category silently overwriting an existing category if they had the
  same id
        private/plugins/links/language/english.php
        private/plugins/links/language/english_utf-8.php
        public_html/admin/plugins/links/category.php

Media Gallery plugin
--------------------
- Modified URLs to reflect new www.glfusion.org website.
        public_html/mediagallery/common.php
        public_html/admin/plugins/mediagallery/index.php

- Improved the filtering on search items
        public_html/mediagallery/search.php

- Fixed issue where the absolute path to images was passed to DigiBug instead
  of using the URL.
        public_html/mediagallery/lib-media.php

- Fixed an issue where hidden albums would prevent other sub-albums
  from displaying.
        public_html/mediagallery/album.php

Polls plugin
------------
- Updated hebrew language file
        private/plugins/polls/language/hebrew_utf-8.php

Site Tailor plugin
------------------
- Added Reset To Defaults button on menu configuration editor
        public_html/admin/plugins/sitetailor/index.php
        private/plugins/sitetailor/language/english.php
        private/plugins/sitetailor/templates/config.thtml

- Added Display After field when editing a menu item
        public_html/admin/plugins/sitetailor/index.php
        public_html/admin/plugins/sitetailor/getorder.php
        private/plugins/sitetailor/templates/editelement.thtml

- Fixed error where the menu hover image was used regardless of the Graphics/
  Color setting.
        public_html/layout/nouveau/functions.php

- Fixed error where static pages would reset when edited.
        public_html/admin/plugins/sitetailor/index.php

- Fixed a E_ALL error - removed references to individual perm_ options
        private/plugins/sitetailor/classes/classMenuElement.php

Staticpages plugin
------------------
- Removed unused 'config_data' entry from the plugin uninstall function
        private/plugins/staticpages/functions.inc
- Fixed E_ALL errors
        private/plugins/staticpages/services.inc.php

FCKEditor
---------
- Updated to v2.6.2 Production Release (FF3 Fixes)
        public_html\fckeditor\editor\_source\classes\fckstyle.js
        public_html\fckeditor\editor\_source\internals\fckdomtools.js
        public_html\fckeditor\editor\filemanager\browser\default\frmactualfolder.html
        public_html\fckeditor\editor\_source\internals\fckselection_ie.js
        public_html\fckeditor\editor\filemanager\browser\default\js\common.js
        public_html\fckeditor\editor\_source\classes\fckiecleanup.js
        public_html\fckeditor\editor\filemanager\browser\default\browser.html
        public_html\fckeditor\editor\js\fckeditorcode_ie.js
        public_html\fckeditor\fckpackager.xml
        public_html\fckeditor\editor\_source\internals\fckdocumentprocessor.js
        public_html\fckeditor\_whatsnew.html
        public_html\fckeditor\editor\fckeditor.html
        public_html\fckeditor\fckconfig.js
        public_html\fckeditor\editor\_source\fckeditorapi.js
        public_html\fckeditor\editor\fckeditor.original.html
        public_html\fckeditor\editor\js\fckadobeair.js
        public_html\fckeditor\editor\_source\internals\fckdebug.js
        public_html\fckeditor\editor\plugins\dragresizetable\fckplugin.js
        public_html\fckeditor\editor\_source\internals\fck_ie.js
        public_html\fckeditor\editor\_source\internals\fckselection_gecko.js
        public_html\fckeditor\editor\filemanager\browser\default\js\fckxml.js
        public_html\fckeditor\editor\_source\internals\fckdialog.js
        public_html\fckeditor\editor\_source\internals\fcktools.js
        public_html\fckeditor\_whatsnew_history.html
        public_html\fckeditor\fckeditor.js
        public_html\fckeditor\editor\dialog\fck_about.html
        public_html\fckeditor\editor\_source\internals\fckconfig.js
        public_html\fckeditor\editor\js\fckeditorcode_gecko.js
        public_html\fckeditor\editor\_source\internals\fck.js
        public_html\fckeditor\editor\_source\classes\fckenterkey.js
        public_html\fckeditor\editor\_source\internals\fck_gecko.js
        public_html\fckeditor\editor\_source\classes\fckdomrange.js

- Updated to v2.6.1 Production Release (Opera 9.50 fixes, upload fix)
        public_html\fckeditor\_whatsnew.html
        public_html\fckeditor\_whatsnew_history.html
        public_html\fckeditor\editor\_source\classes\fckeditingarea.js
        public_html\fckeditor\editor\_source\commandclasses\fckfitwindow.js
        public_html\fckeditor\editor\_source\fckeditorapi.js
        public_html\fckeditor\editor\_source\internals\fck_gecko.js
        public_html\fckeditor\editor\_source\internals\fckbrowserinfo.js
        public_html\fckeditor\editor\_source\internals\fckdialog.js
        public_html\fckeditor\editor\dialog\common\fck_dialog_common.js
        public_html\fckeditor\editor\dialog\fck_about.html
        public_html\fckeditor\editor\dialog\fck_flash\fck_flash.js
        public_html\fckeditor\editor\dialog\fck_image\fck_image.js
        public_html\fckeditor\editor\dialog\fck_link\fck_link.js
        public_html\fckeditor\editor\dialog\fck_replace.html
        public_html\fckeditor\editor\fckdialog.html
        public_html\fckeditor\editor\fckeditor.html
        public_html\fckeditor\editor\fckeditor.original.html
        public_html\fckeditor\editor\filemanager\browser\default\browser.html
        public_html\fckeditor\editor\filemanager\browser\default\frmactualfolder.html
        public_html\fckeditor\editor\filemanager\browser\default\js\common.js
        public_html\fckeditor\editor\filemanager\connectors\asp\basexml.asp
        public_html\fckeditor\editor\filemanager\connectors\asp\io.asp
        public_html\fckeditor\editor\filemanager\connectors\cfm\cf5_upload.cfm
        public_html\fckeditor\editor\filemanager\connectors\cfm\cf_io.cfm
        public_html\fckeditor\editor\filemanager\connectors\lasso\upload.lasso
        public_html\fckeditor\editor\filemanager\connectors\perl\commands.pl
        public_html\fckeditor\editor\filemanager\connectors\php\io.php
        public_html\fckeditor\editor\filemanager\connectors\py\fckoutput.py
        public_html\fckeditor\editor\js\fckeditorcode_gecko.js
        public_html\fckeditor\editor\js\fckeditorcode_ie.js
        public_html\fckeditor\editor\lang\_translationstatus.txt
        public_html\fckeditor\editor\lang\it.js
        public_html\fckeditor\fckeditor.js

    Deleted (Removed)

        public_html\fckeditor\editor\lang\_getfontformat.html
        public_html\fckeditor\editor\filemanager\connectors\php\sanitizer.php
        public_html\fckeditor\editor\dialog\fck_find.html

Documentation
-------------
- Updated history document to reflect changes from Geeklog core
        public_html/docs/history
- Added missing config.html documentation file
        public_html/docs/config.html
- Updated main documentation index page
        public_html/docs/index.html
- Updated the online help documents
        public_html/help/advancedsearch.html
        public_html/help/cceventsubmission.html
        public_html/help/cclinksubmission.html
        public_html/help/ccstorysubmission.html
        public_html/help/submitevent.html
        public_html/help/submitlink.html
        public_html/help/submitstory.html


Removed Files
    private\plugins\bad_behavior2\ChangeLog
    private\plugins\bad_behavior2\INSTALL.txt
    private\plugins\captcha\ChangeLog
    private\plugins\captcha\README


v1.0.0 - June 18, 2008

- [General] Fixed error where static pages would not print with url rewrite on
- [General] Fixed issue where RSS feed did not put <br> on plain text posts
- [Themes]  In both Professional and Nouveau add ?ver=100 to style.css to force reload.
- [Install] New install, set the time for the sample PDF file in FileMgmt to install date.
- [Plugin]  Calendar - Fixed a XHTML error on Upcoming Event block
- [General] Added additional CACHE_remove_instance('whatsnew'); to stories, comments, file mgmt, media gallery.
- [Plugin]  Site Tailor - sitetailor.admin could not completely admister menus.
- [General] Datepicker only went back 1 year, made it difficult to edit older stories.
            Datepicker code would also force the date today.
- [General] Conflict with remove() javascript function caused X to fail in configuration.
- [General] Added the custom/ directories to each theme directory
- [General] Menu would display non-logged in user only options to root users
- [Plugin]  Media Gallery - Set default value for 'Update Parent Time on Upload' to false.
- [General] PHP5 compatibility check, ensure file_put_contents() is available on PHP4
- [General] Better styling on datapicker icon and pop-up

v1.0.0rc2 - June 11, 2008

- [Style]   Commented out the style for <hr> it was breaking the calendar display [mark]
- [Plugin]  Calendar - I broke CAPTCHA support with the previous core sync [mark]
- [Plugin]  Calendar - Add personal event submission broken [mark]
- [Plugin]  Media Gallery - Fixed error where an album would get dropped from the main index if the columns set to 4 [mark]
- [Genera]  Enhanced the What's New caching, now Media Gallery, Links, Comments, and Trackbacks will force a cache rebuild upon save [mark]
- [Plugin]  Forum quote background image and text [eric]
- [General] Cache Timeout should be configurable for What's New Block [mark]
- [Install] Added a permission check on install to ensure FileMgmt config directory is writable.[mark]
- [Plugin]  Media Gallery: Fixed bug in main album index where an album would disappear from the display. [mark]
- [Plugin]  Site Tailor: Now accepts quotes in label. [mark]
- [General] Footer RSS feed was hard coded to glfusion.rss, now uses the filename from the configuration [mark]
- [General] Implemented a method to have custom/ template themes. [mark]
- [General] RSS feed was not updating properly. [mark]
- [General] Nouveua has a old copy of style.css in the css/ directory, removed it. [mark]
- [General] Forum plugin uses id=fileattachlist multiple times when displaying topic, removed the <div> [mark]
- [Theme]   Noveau's style.css has references to professional theme's images. [mark]
- [General] Site Tailor - sitetailor.png missing alt="" [mark]
- [Install] Link in default featured story to change password not resolving properly, removed link. [mark]
- [General] Noveau's functions.php still requires the professional theme be installed [mark]
- [Theme]   When Advanced Editor is used, there was a 'ghost' box at bottom of page [mark]
- [Install] Modifed distribution to use private/ and public_html/ folders. [mark]

v1.0.0rc1 - June 8, 2008
- Initial Public Release
